/*SDOC*************************************************************

  Module:	VCMain32.h

  Copyright (C) 2011 Gold Run Partners, Inc.  All rights reserved.
  
  Description:	VCMain32.dll exports

	Revision Record:

	Version			Changes & Deletions
	========		=====================================================
	5.0.0				Removed: VCGetPreserveAcadColorNums - obsolete
	5.0.0				Removed: VCSetPreserveAcadColorNums - obsolete
	5.0.0				Removed: VCLoadVCDFromStream - obsolete
	5.0.0				Removed: VCSaveVCDToStream - obsolete
	5.0.0				Removed: VCSethMenu - obsolete replaced by VCSetHandleMDIChildMenu
									
							Version tags:
									Added version 4.0.0
									Added version 4.0.4
									Added version 5.0.0
									Added version 6.0.0
									Added version 6.0.1

*************************************************************EDOC*/

void WINAPI VCAbort(void);
void WINAPI VCAbortOperation(short* iError);
void WINAPI VCAddAngularDimensionEntity(short* iError, short iSymbolIndex, Point2D dpP0, Point2D dpP1, Point2D dpP2, Point2D dpP3);
void WINAPI VCAddAngularDimensionEntityBP(short* iError, short iSymbolIndex, Point2D* dpP0, Point2D* dpP1, Point2D* dpP2, Point2D* dpP3);
void WINAPI VCAddArcEntity(short* iError, short iSymbolIndex, Point2D dpP0, Point2D dpP1, Point2D dpP2);
void WINAPI VCAddArcEntityBP(short* iError, short iSymbolIndex, Point2D* dpP0, Point2D* dpP1, Point2D* dpP2);
void WINAPI VCAddAtbDef(short* iError, char* szName, char* Label0, char* Value0);
void WINAPI VCAddBezierEntity(short* iError, short iSymbolIndex, Point2D dpP0, Point2D dpP1, Point2D dpP2, Point2D dpP3);
void WINAPI VCAddBezierEntityBP(short* iError, short iSymbolIndex, Point2D* dpP0, Point2D* dpP1, Point2D* dpP2, Point2D* dpP3);
void WINAPI VCAddCircleEntity(short* iError, short iSymbolIndex, Point2D dpP0, Point2D dpP1);
void WINAPI VCAddCircleEntityBP(short* iError, short iSymbolIndex, Point2D* dpP0, Point2D* dpP1);
void WINAPI VCAddContinuousBezierEntity(short* iError, short iSymbolIndex);
void WINAPI VCAddContinuousLine3DEntity(short* iError, short iSymbolIndex);
void WINAPI VCAddContinuousLineEntity(short* iError, short iSymbolIndex);
void WINAPI VCAddCurrentEntityUserDataByte(short* iError, BYTE b);
void WINAPI VCAddCurrentEntityUserDataChunk(short* iError, void* p, short iSize);
void WINAPI VCAddCurrentEntityUserDataDouble(short* iError, double dRet);
void WINAPI VCAddCurrentEntityUserDataFloat(short* iError, float f);
void WINAPI VCAddCurrentEntityUserDataLong(short* iError, long l);
void WINAPI VCAddCurrentEntityUserDataShort(short* iError, short s);
void WINAPI VCAddCurrentEntityUserDataString(short* iError, char* str);
void WINAPI VCAddDiameterDimensionEntity(short* iError, short iSymbolIndex, Point2D dpP0, Point2D dpP1, Point2D dpP2, Point2D dpP3);
void WINAPI VCAddDiameterDimensionEntityBP(short* iError, short iSymbolIndex, Point2D* dpP0, Point2D* dpP1, Point2D* dpP2, Point2D* dpP3);
void WINAPI VCAddEllipseEntity(short* iError, short iSymbolIndex, Point2D dpP0, Point2D dpP1, Point2D dpP2, Point2D dpP3);
void WINAPI VCAddEllipseEntityBP(short* iError, short iSymbolIndex, Point2D* dpP0, Point2D* dpP1, Point2D* dpP2, Point2D* dpP3);
void WINAPI VCAddEllipticalArcEntity(short* iError, short iSymbolIndex, Point2D dpP0, Point2D dpP1, Point2D dpP2, Point2D dpP3, Point2D dpP4, Point2D dpP5, Point2D dpP6);
void WINAPI VCAddEllipticalArcEntityBP(short* iError, short iSymbolIndex, Point2D* dpP0, Point2D* dpP1, Point2D* dpP2, Point2D* dpP3, Point2D* dpP4, Point2D* dpP5, Point2D* dpP6);
void WINAPI VCAddEmbAtb(short* iError, short iWhichSymbolDef, char* szName, char* Label0, char* Value0);
void WINAPI VCAddFillEntity(short* iError, short iSymbolIndex);
void WINAPI VCAddHatchEntity(short* iError, short iSymbolIndex);
short WINAPI VCAddLayerGroup(short* iError, char* szGroupName);
void WINAPI VCAddLeaderEntity(short* iError, short iSymbolIndex, Point2D* P, short iPointCount);
void WINAPI VCAddLine3D(short* iError, short iSymbolIndex, Point3D* dpP0, Point3D* dpP1);
void WINAPI VCAddLineEntity(short* iError, short iSymbolIndex, Point2D dpP0, Point2D dpP1);
void WINAPI VCAddLineEntityBP(short* iError, short iSymbolIndex, Point2D* dpP0, Point2D* dpP1);
short WINAPI VCAddLineType(short* iError, char* pName, short bCode, short iDashCount, double* pDashes);
void WINAPI VCAddLinearDimensionEntity(short* iError, short iSymbolIndex, Point2D dpP0, Point2D dpP1, Point2D dpP2, Point2D dpP3);
void WINAPI VCAddLinearDimensionEntityBP(short* iError, short iSymbolIndex, Point2D* dpP0, Point2D* dpP1, Point2D* dpP2, Point2D* dpP3);
short WINAPI VCAddNamedLayer(short* iError, char* pName);
void WINAPI VCAddPoint3D(short* iError, short iSymbolIndex, Point3D* dpP);
void WINAPI VCAddPointEntity(short* iError, short iSymbolIndex, Point2D dpP0);
void WINAPI VCAddPointEntityBP(short* iError, short iSymbolIndex, Point2D* dpP0);
void WINAPI VCAddPolygon3D(short* iError, short iSymbolIndex, Point3D* dpP, short iNumPnts);
void WINAPI VCAddRadialDimensionEntity(short* iError, short iSymbolIndex, Point2D dpP0, Point2D dpP1, Point2D dpP2, Point2D dpP3);
void WINAPI VCAddRadialDimensionEntityBP(short* iError, short iSymbolIndex, Point2D* dpP0, Point2D* dpP1, Point2D* dpP2, Point2D* dpP3);
void WINAPI VCAddRefFrameEntity(short* iError, short iSymbolIndex, Point2D* dpP0);
void WINAPI VCAddSplineEntity(short* iError, short iSymbolIndex);
void WINAPI VCAddSymbol3DEntity(short* iError, short iSymbolIndex, Point3D* dpP0);
void WINAPI VCAddSymbolEntity(short* iError, short iSymbolIndex, Point2D dpP0);
void WINAPI VCAddSymbolEntityBP(short* iError, short iSymbolIndex, Point2D* dpP0);
void WINAPI VCAddTextEntity(short* iError, short iSymbolIndex, Point2D dpP0);
void WINAPI VCAddTextEntityBP(short* iError, short iSymbolIndex, Point2D* dpP0);
short WINAPI VCAngleToString(short* iError, char* pS, double* pA);
void WINAPI VCAppExit(short* iError);
void WINAPI VCApplyLayerGroupByIndex(short* iError, short iGroupIndex);
void WINAPI VCApplyLayerGroupByName(short* iError, char* szGroupName);
void WINAPI VCApplySettingsToCurrentEntity(short* iError);
long WINAPI VCAuditUIDS(short* iError);
void WINAPI VCBeginOperation(short* iError);
void WINAPI VCButton(short iButton, short iState);
void WINAPI VCChangeView(short* iError, long hWnd_);
void WINAPI VCChangeView3D(short* iError, short iCode, double dFact);
void WINAPI VCChar(short c);
void WINAPI VCClearAlertApp(short* iError, long hWnd);
void WINAPI VCClearAlertAppDll(short* iError, char* DllName, char* NativeCmd);
void WINAPI VCClearLayerProperties(short* iError, short iLayer);
void WINAPI VCClearScreen(void);
void WINAPI VCClearSelection(void);
void WINAPI VCClose(WORLDHANDLE hW);
void WINAPI VCCloseContour(void);
void WINAPI VCComputeArcMid(Point2D* dpC, Point2D* dpP0, Point2D* dpP2, Point2D* dpPreviousMid, Point2D* dpRet);
void WINAPI VCComputeIntersection(short* iError, ENTITYHANDLE l0, ENTITYHANDLE l1, Point2D* dpPick, Point2D* dpIntersect);
void WINAPI VCCopy(void);
GRAPHICHANDLE WINAPI VCCreateGraphicHandle(short* iError);
vbool WINAPI VCCreateMDIWindow(short* iError, short iNewMDIWindow);
short WINAPI VCCreateSymbolDef(short* iError, char* pName);
void WINAPI VCCreateSymbolFromSelection(short* iError, char* szName, Point2D dpP);
void WINAPI VCCreateSymbolFromSelectionBP (short* iError, char* szName, Point2D* dpP);
void WINAPI VCCrossingSelect(Point2D* dpP0, Point2D* dpP1);
void WINAPI VCCurEntAtbAttach(short* iError, char* szAtbName, Point2D* dpRef);
void WINAPI VCCurEntAtbDelete(short* iError, short iWhichAtb);
void WINAPI VCCut(void);
void WINAPI VCDeSelectAll(void);
void WINAPI VCDeleteAtbDef(short* iError, char* szName);
void WINAPI VCDeleteCurrentEntityUserData(short* iError, short iIndex);
void WINAPI VCDeleteEmbAtb(short* iError, short iWhichSymbolDef, short iWhichAtb);
void WINAPI VCDeleteGraphicHandle(short* iError, GRAPHICHANDLE hG);
void WINAPI VCDeleteLayerGroup(short* iError, short iGroupIndex);
void WINAPI VCDestroyWorld(WORLDHANDLE hW);
void WINAPI VCDigPoint(lPoint2D lpt, short bButtonNum, short bButtonState);
void WINAPI VCDigPointBP (lPoint2D* lpt, short bButtonNum, short bButtonState);
void WINAPI VCDimDirectionMode(short iMode);
short WINAPI VCDimGetDimExtStretch(short* iError);
short WINAPI VCDimGetDimMode(short* iError);
short WINAPI VCDimGetDimProximity(short* iError);
void WINAPI VCDimSetDimExtStretch(short* iError, short b);
void WINAPI VCDimSetDimMode(short* iError, short b);
void WINAPI VCDimSetDimProximity(short* iError, short b);
short WINAPI VCDistToString(short* iError, char* pS, double* pD);
void WINAPI VCDrawCurrentEntity(short* iError);
void WINAPI VCDrawCurrentEntityXOR(short* iError);
void WINAPI VCDrawToDC(short* iError, short hDC_, long left, long bottom, long right, long top);
void WINAPI VCDrawToDC2(short* iError, long hDC_, long left, long bottom, long right, long top);
void WINAPI VCDuplicate(short* iError, ENTITYHANDLE lH);
void WINAPI VCDuplicateToWorld(short* iError, ENTITYHANDLE hE, WORLDHANDLE TargetWorld);
void WINAPI VCDuplicateWithTransform(short* iError, ENTITYHANDLE lH, Point2D* dpTrans, Point2D* dpScale, double dAngle);
void WINAPI VCEndOperation(short* iError);
void WINAPI VCEntityBreak(short* iError, ENTITYHANDLE lH, Point2D* dpP0, Point2D* dpP1);
void WINAPI VCEntityExtents(short* iError, ENTITYHANDLE lH, Point2D* dpMin, Point2D* dpMax);
void WINAPI VCEraseCursor(void);
void WINAPI VCEraseRubber(void);
void WINAPI VCFilterReset(short* iError);
vbool WINAPI VCFirstEntity(short* iError, short* bKind);
vbool WINAPI VCFirstEntityExpand(short* iError, short* bKind);
vbool WINAPI VCFirstGraphic(short* iError, GRAPHICHANDLE hG);
vbool WINAPI VCFirstOnScreen(short* iError, short* bKind);
vbool WINAPI VCFirstSelected(short* iError, short* bKind);
vbool WINAPI VCFirstSelectedRF(short* iError, long* hE);
vbool WINAPI VCFirstView(short* iError);
vbool WINAPI VCFirstWorld(short* iError);
void WINAPI VCForceWidthOnAllEntities(short* iError, short iNewWidth);
void WINAPI VCGeneratePointsFromCurrentEntity(short* iError, Point2D* P, short* iCount, short iMax, double dStep);
BYTE WINAPI VCGetAcadImportUnit(short* iError);
vbool WINAPI VCGetAllLayersEd(short* iError);
vbool WINAPI VCGetAllLayersSnap(short* iError);
double WINAPI VCGetAngle(short* iError);
void WINAPI VCGetAngleBP(short* iError, double* dRet);
long WINAPI VCGetAngleHandle(void);
short WINAPI VCGetArrowScreenStep(short* iError);
vbool WINAPI VCGetArrowWorld(short* iError);
double WINAPI VCGetArrowWorldStep(short* iError);
void WINAPI VCGetArrowWorldStepBP(short* iError, double* dRet);
vbool WINAPI VCGetAskZoomCenter(short* iError);
long WINAPI VCGetAssocContourCount(short* iError, long WhichAssoc);
long WINAPI VCGetAssocCount(short* iError);
UID WINAPI VCGetAssocEntity(short* iError, long WhichAssoc, long WhichContour, long WhichEntity);
long WINAPI VCGetAssocEntityCount(short* iError, long WhichAssoc, long WhichContour);
short WINAPI VCGetAssocKind(short* iError, long WhichAssoc);
short WINAPI VCGetAtbColorIndex(short* iError);
short WINAPI VCGetAtbDefCount(short* iError);
short WINAPI VCGetAtbDefLabel(short* iError, char* szName, char* szLabel, short iRec);
short WINAPI VCGetAtbDefName(short* iError, short iIndex, char* szName);
short WINAPI VCGetAtbDefRecordCount(short* iError, char* szName);
short WINAPI VCGetAtbDefValue(short* iError, char* szName, char* Value, short iRec);
vbool WINAPI VCGetAtbDisplay(short* iError);
short WINAPI VCGetAtbFont(short* iError, char* pS);
void WINAPI VCGetAtbHeight(short* iError, double* dRet);
short WINAPI VCGetAtbInternalName(short* iError, char* pFileName, char* pReturn);
vbool WINAPI VCGetAtbLabel(short* iError);
vbool WINAPI VCGetAutoFillet(short* iError);
vbool WINAPI VCGetAutoSave(short* iError);
short WINAPI VCGetAutoSaveSecs(short* iError);
short WINAPI VCGetBackgroundColor(short* iError);
vbool WINAPI VCGetBackwardsRedraw(short* iError);
long WINAPI VCGetCMDId(short* iError, char* pNative);
short WINAPI VCGetCMPPath(short* iError, char* szPath);
double WINAPI VCGetChamferDist1(short* iError);
void WINAPI VCGetChamferDist1BP(short* iError, double* dRet);
double WINAPI VCGetChamferDist2(short* iError);
void WINAPI VCGetChamferDist2BP(short* iError, double* dRet);
void WINAPI VCGetClosestSegment(short* iError, Point2D* p2d, ENTITYHANDLE lH, Point2D* dpP0, Point2D* dpP1);
short WINAPI VCGetCmdName(short* iError, short iCmdId, char* pName);
short WINAPI VCGetCmdStr(short* iError, char* pS);
short WINAPI VCGetColorIndex(short* iError);
short WINAPI VCGetCommandAlias(short i, char* szAlias);
short WINAPI VCGetCommandCount(void);
short WINAPI VCGetCommandDescription(short i, char* szNative);
short WINAPI VCGetCommandNative(short i, char* szNative);
short WINAPI VCGetCommandString(WORD id, short iIndex, char* szIn);
vbool WINAPI VCGetConstPt(short* iError);
short WINAPI VCGetCurEntAtbCount(short* iError);
short WINAPI VCGetCurEntAtbName(short* iError, short iWhichAtb, char* szName);
short WINAPI VCGetCurEntAtbRecCount(short* iError, short iWhichAtb);
short WINAPI VCGetCurEntAtbRecLabel(short* iError, short iWhichAtb, short iWhichRec, char* pLabel);
short WINAPI VCGetCurEntAtbRecValue(short* iError, short iWhichAtb, short iWhichRec, char* pValue);
void WINAPI VCGetCurEntAtbRefPoint(short* iError, short iWhichAtb, Point2D* dpRef);
short WINAPI VCGetCurEntUserDataChunkSize(short* iError, short iIndex);
short WINAPI VCGetCurEntUserDataStringSize(short* iError, short iIndex);
long WINAPI VCGetCurentOleClassId(short* iError);
short WINAPI VCGetCurrEntRFAbsName(short* iError, char* RetPath);
short WINAPI VCGetCurrEntRFAbsShortName(short* iError, char* RetPath);
short WINAPI VCGetCurrEntUserDataName(short* iError, short iIndex, char* pName);
WORLDHANDLE WINAPI VCGetCurrWorld(void);
void WINAPI VCGetCurrZoom(short* iError, Point2D* dpMin, Point2D* dpMax);
void WINAPI VCGetCurrentEntUserDataDoubleBP(short* iError, short iIndex, double* dRet);
short WINAPI VCGetCurrentEntity3DFlag0(short* iError);
void WINAPI VCGetCurrentEntityArcData(short* iError, Point2D* dpC, double* dRad, double* dStart, double* dSpan, double* dArcLength);
void WINAPI VCGetCurrentEntityArea(short* iError, double dStep, double* dArea);
vbool WINAPI VCGetCurrentEntityCloseContour(short* iError);
short WINAPI VCGetCurrentEntityColor(short* iError);
void WINAPI VCGetCurrentEntityDist(short* iError, double dStep, double* dDist);
ENTITYHANDLE WINAPI VCGetCurrentEntityHandle(short* iError);
short WINAPI VCGetCurrentEntityKind(short* iError);
short WINAPI VCGetCurrentEntityLayer(short* iError);
short WINAPI VCGetCurrentEntityLayerName(short* iError, char* pName);
void WINAPI VCGetCurrentEntityLength(short* iError, double dStep, double* dLength);
short WINAPI VCGetCurrentEntityLineType(short* iError);
short WINAPI VCGetCurrentEntityLineTypeName(short* iError, char* pName);
short WINAPI VCGetCurrentEntityLineWidth(short* iError);
void WINAPI VCGetCurrentEntityLineWidthValue(short* iError, float* dV);
void WINAPI VCGetCurrentEntityNormal3D(short* iError, Point3D* nV);
Point2D WINAPI VCGetCurrentEntityPoint(short* iError, short iIndex);
void WINAPI VCGetCurrentEntityPoint3D(short* iError, short iIndex, Point3D* dpRet);
void WINAPI VCGetCurrentEntityPointBP(short* iError, short iIndex, Point2D* dpRet);
short WINAPI VCGetCurrentEntityPointCount(short* iError);
UID WINAPI VCGetCurrentEntityUID(short* iError);
void WINAPI VCGetCurrentEntityUseByLayerProperties(short* iError, vbool* tfColor, vbool* tfLineType, vbool* tfLineWidth);
BYTE WINAPI VCGetCurrentEntityUserDataByte(short* iError, short iIndex);
void WINAPI VCGetCurrentEntityUserDataChunk(short* iError, short iIndex, char* p);
short WINAPI VCGetCurrentEntityUserDataCount(short* iError);
double WINAPI VCGetCurrentEntityUserDataDouble(short* iError, short iIndex);
float WINAPI VCGetCurrentEntityUserDataFloat(short* iError, short iIndex);
short WINAPI VCGetCurrentEntityUserDataKind(short* iError, short iIndex);
long WINAPI VCGetCurrentEntityUserDataLong(short* iError, short iIndex);
short WINAPI VCGetCurrentEntityUserDataShort(short* iError, short iIndex);
void WINAPI VCGetCurrentEntityUserDataString(short* iError, short iIndex, char* str);
ENTITYHANDLE WINAPI VCGetCurrentErasedEntity(short* iError);
void WINAPI VCGetCurrentPoint(short* iError, Point2D* dpP);
UID WINAPI VCGetCurrentUID(short* iError);
short WINAPI VCGetCurrentUndoLevel(short* iError);
void WINAPI VCGetCurrentView(short* iError, short* iView);
short WINAPI VCGetCursorColor(short* iError);
vbool WINAPI VCGetCursorFree(short* iError);
short WINAPI VCGetCursorSize(short* iError);
long WINAPI VCGetDC(short* iError);
short WINAPI VCGetDWGPath(short* iError, char* szPath);
short WINAPI VCGetDXFPath(short* iError, char* szPath);
Point2D WINAPI VCGetDatumBasePt(short* iError);
void WINAPI VCGetDatumBasePtBP (short* iError, Point2D* dpRet);
short WINAPI VCGetDatumType(short* iError);
WORD WINAPI VCGetDefaultTool(short* iError);
short WINAPI VCGetDimAngleFormat(short* iError);
double WINAPI VCGetDimArrowAngle(short* iError);
void WINAPI VCGetDimArrowAngleBP(short* iError, double* dRet);
void WINAPI VCGetDimArrowFlipDists(short* iError, double* d0, double* d1);
double WINAPI VCGetDimArrowLength(short* iError);
void WINAPI VCGetDimArrowLengthBP(short* iError, double* dRet);
short WINAPI VCGetDimArrowMode(short* iError);
short WINAPI VCGetDimArrowType(short* iError);
short WINAPI VCGetDimDecimalValue(short* iError);
short WINAPI VCGetDimDisplayItemCount(short* iError);
short WINAPI VCGetDimDisplayItemName(short* iError, short i, char* pS);
short WINAPI VCGetDimDistFormat(short* iError);
double WINAPI VCGetDimExtAbove(short* iError);
void WINAPI VCGetDimExtAboveBP(short* iError, double* dRet);
double WINAPI VCGetDimExtBelow(short* iError);
void WINAPI VCGetDimExtBelowBP(short* iError, double* dRet);
double WINAPI VCGetDimExtOffset(short* iError);
void WINAPI VCGetDimExtOffsetBP(short* iError, double* dRet);
short WINAPI VCGetDimFont(short* iError, char* pS);
short WINAPI VCGetDimFractionalValue(short* iError);
short WINAPI VCGetDimItemColor(short* iError, short i);
short WINAPI VCGetDimItemLineType(short* iError, short i);
short WINAPI VCGetDimItemLineWidth(short* iError, short i);
vbool WINAPI VCGetDimItemShow(short* iError, short i);
short WINAPI VCGetDimLayer(short* iError);
double WINAPI VCGetDimLineAngle(short* iError);
void WINAPI VCGetDimLineAngleBP(short* iError, double* dRet);
short WINAPI VCGetDimLineDirect(short* iError);
short WINAPI VCGetDimLineText(short* iError);
vbool WINAPI VCGetDimShowDash(short* iError);
short WINAPI VCGetDimShowLeadingZeros(short* iError);
short WINAPI VCGetDimShowUnits(short* iError);
double WINAPI VCGetDimTextAspect(short* iError);
vbool WINAPI VCGetDimTextBold(short* iError);
vbool WINAPI VCGetDimTextCentered(short* iError);
double WINAPI VCGetDimTextCharSpace(short* iError);
vbool WINAPI VCGetDimTextFillVText(short* iError);
double WINAPI VCGetDimTextHeight(short* iError);
void WINAPI VCGetDimTextHeightBP(short* iError, double* dRet);
double WINAPI VCGetDimTextHorizSpace(short* iError);
void WINAPI VCGetDimTextHorizSpaceBP(short* iError, double* dRet);
vbool WINAPI VCGetDimTextItalic(short* iError);
double WINAPI VCGetDimTextItalicAng(short* iError);
double WINAPI VCGetDimTextLineSpace(short* iError);
vbool WINAPI VCGetDimTextOverwrite(short* iError);
short WINAPI VCGetDimTextOverwriteString(short* iError, char* pB);
vbool WINAPI VCGetDimTextPrefix(short* iError);
short WINAPI VCGetDimTextPrefixString(short* iError, char* pB);
vbool WINAPI VCGetDimTextProSpacing(short* iError);
short WINAPI VCGetDimTextRotationType(short* iError);
double WINAPI VCGetDimTextScale(short* iError);
void WINAPI VCGetDimTextScaleBP(short* iError, double* dRet);
vbool WINAPI VCGetDimTextSuffix(short* iError);
short WINAPI VCGetDimTextSuffixString(short* iError, char* pB);
short WINAPI VCGetDimTextTolDecimal(short* iError);
double WINAPI VCGetDimTextTolLowerVal(short* iError);
void WINAPI VCGetDimTextTolLowerValBP(short* iError, double* dRet);
short WINAPI VCGetDimTextTolType(short* iError);
double WINAPI VCGetDimTextTolUpperVal(short* iError);
void WINAPI VCGetDimTextTolUpperValBP(short* iError, double* dRet);
vbool WINAPI VCGetDimTextUnderline(short* iError);
double WINAPI VCGetDimTextVertSpace(short* iError);
void WINAPI VCGetDimTextVertSpaceBP(short* iError, double* dRet);
void WINAPI VCGetDimUnitConversionFactor(short* iError, double* dRet);
vbool WINAPI VCGetDimUseDimLayer(short* iError);
short WINAPI VCGetDisplayAngleFormat(short* iError);
short WINAPI VCGetDisplayAngleString(short* iError, char* szAngle);
short WINAPI VCGetDisplayDecimalValue(short* iError);
short WINAPI VCGetDisplayDistFormat(short* iError);
vbool WINAPI VCGetDisplayFontNotFoundMessage(short* iError);
short WINAPI VCGetDisplayFractionalValue(short* iError);
vbool WINAPI VCGetDisplayHiddenLayersMessage(short* iError);
short WINAPI VCGetDisplayLengthString(short* iError, char* szLength);
short WINAPI VCGetDisplayPointString(short* iError, char* szPoint);
short WINAPI VCGetDisplayShowLeadingZeros(short* iError);
short WINAPI VCGetDisplayShowUnits(short* iError);
long WINAPI VCGetDistanceHandle(void);
short WINAPI VCGetDllRunCmdLine(short* iError, char* szPath);
short WINAPI VCGetDllRunFunction(short* iError, char* szPath);
short WINAPI VCGetDllRunName(short* iError, char* szPath);
vbool WINAPI VCGetDrawFBoundary(short* iError);
vbool WINAPI VCGetDrawHBoundary(short* iError);
short WINAPI VCGetDrawingName(char* pName);
short WINAPI VCGetEmbAtbCount(short* iError, short iWhichSymbolDef);
short WINAPI VCGetEmbAtbLabel(short* iError, short iWhichSymbolDef, short iWhichAtb, char* szLabel, short iRec);
short WINAPI VCGetEmbAtbName(short* iError, short iWhichSymbolDef, short iWhichAtb, char* szName);
short WINAPI VCGetEmbAtbRecordCount(short* iError, short iWhichSymbolDef, short iWhichAtb);
short WINAPI VCGetEmbAtbValue(short* iError, short iWhichSymbolDef, short iWhichAtb, char* Value, short iRec);
short WINAPI VCGetEntityContourCount(short* iError, ENTITYHANDLE lH);
short WINAPI VCGetEntityRedoLevel(short* iError, ENTITYHANDLE hE);
short WINAPI VCGetEntitySubEntityCount(short* iError, ENTITYHANDLE lH, short iContour);
short WINAPI VCGetEntityUndoLevel(short* iError, ENTITYHANDLE hE);
long WINAPI VCGetErasedEntityCount(short* iError);
BYTE WINAPI VCGetExplodeContinuousLines(short* iError);
short WINAPI VCGetFillColor(short* iError);
vbool WINAPI VCGetFillDisplay(short* iError);
vbool WINAPI VCGetFillVText(short* iError);
vbool WINAPI VCGetFilletPreview(short* iError);
double WINAPI VCGetFilletRad(short* iError);
void WINAPI VCGetFilletRadBP(short* iError, double* dRet);
short WINAPI VCGetFilterColor(short* iError);
BYTE WINAPI VCGetFilterKind(short* iError);
BYTE WINAPI VCGetFilterKind2(short* iError);
short WINAPI VCGetFilterLayer(short* iError);
short WINAPI VCGetFilterLineType(short* iError);
short WINAPI VCGetFilterName(short* iError, char* sz);
short WINAPI VCGetFilterWidth(short* iError);
long WINAPI VCGetFontList(short* iError, char* list);
short WINAPI VCGetFontName(short* iError, short iIndex, char* s);
short WINAPI VCGetFontNameCount(short* iError);
vbool WINAPI VCGetFrameInitialized(void);
short WINAPI VCGetFunkeyCmdString(char* szCmd, short iShift, short nVKey);
short WINAPI VCGetGCDDefaultHatchName(short* iError, char* szName);
short WINAPI VCGetGCDPath(short* iError, char* szPath);
vbool WINAPI VCGetGridDisplay(short* iError);
Point2D WINAPI VCGetGridOrigin(short* iError);
void WINAPI VCGetGridOriginBP(short* iError, Point2D* pRet);
Point2D WINAPI VCGetGridSize(short* iError);
void WINAPI VCGetGridSizeBP(short* iError, Point2D* pRet);
vbool WINAPI VCGetGridSnap(short* iError);
vbool WINAPI VCGetHandlePt(short* iError);
short WINAPI VCGetHatchColor(short* iError);
vbool WINAPI VCGetHatchDisplay(short* iError);
short WINAPI VCGetHatchName(short* iError, char* s);
double WINAPI VCGetHatchRot(short* iError);
void WINAPI VCGetHatchRotBP(short* iError, double* dRet);
double WINAPI VCGetHatchScale(short* iError);
void WINAPI VCGetHatchScaleBP(short* iError, double* dRet);
vbool WINAPI VCGetHighlight(short* iError);
vbool WINAPI VCGetIncSnap(short* iError);
double WINAPI VCGetIncSnapSize(short* iError);
void WINAPI VCGetIncSnapSizeBP(short* iError, double* dRet);
short WINAPI VCGetInitCount(void);
vbool WINAPI VCGetIsoMode(short* iError);
short WINAPI VCGetIsoPlane(short* iError);
BOOL WINAPI VCGetKeepAcadFontName(short* iError);
BOOL WINAPI VCGetKeepGCDFontName(short* iError);
BOOL WINAPI VCGetKeepGCDHatch(short* iError);
double WINAPI VCGetLTScaleDevice(short* iError);
void WINAPI VCGetLTScaleDeviceBP(short* iError, double* pRet);
double WINAPI VCGetLTScaleWorld(short* iError);
void WINAPI VCGetLTScaleWorldBP(short* iError, double* pRet);
void WINAPI VCGetLastPoint(short* iError, Point2D* dpP);
vbool WINAPI VCGetLayerDisplay(short* iError, short iIndex);
short WINAPI VCGetLayerGroupCount(short* iError);
short WINAPI VCGetLayerGroupIndex(short* iError, char* szGroupName);
vbool WINAPI VCGetLayerGroupLayer(short* iError, short iGroupIndex, short iLayer);
short WINAPI VCGetLayerGroupName(short* iError, short iGroupIndex, char* szGroupName);
vbool WINAPI VCGetLayerHasData(short* iError, short iIndex);
short WINAPI VCGetLayerIndex(short* iError);
short WINAPI VCGetLayerIndexFromName(short* iError, char* pName);
short WINAPI VCGetLayerNameFromIndex(short* iError, short iIndex, char* pName);
vbool WINAPI VCGetLayerPrintable(short* iError, short iLayer);
vbool WINAPI VCGetLayerProperties(short* iError, short iLayer, short* iColor, short* iLtype, short* iWidth, float* fWidth);
vbool WINAPI VCGetLayerRedraw(short* iError);
double WINAPI VCGetLeaderArrowAngle(short* iError);
double WINAPI VCGetLeaderArrowLength(short* iError);
short WINAPI VCGetLeaderArrowMode(short* iError);
short WINAPI VCGetLeaderArrowType(short* iError);
short WINAPI VCGetLeaderFontName(short* iError, char* pS);
double WINAPI VCGetLeaderShoulderLength(short* iError);
void WINAPI VCGetLeaderShoulderLengthBP(short* iError, double* dRet);
short WINAPI VCGetLeaderString(short* iError, char* s);
double WINAPI VCGetLeaderTextAspect(short* iError);
vbool WINAPI VCGetLeaderTextBold(short* iError);
double WINAPI VCGetLeaderTextCharSpace(short* iError);
vbool WINAPI VCGetLeaderTextFillVText(short* iError);
double WINAPI VCGetLeaderTextHeight(short* iError);
vbool WINAPI VCGetLeaderTextItalic(short* iError);
double WINAPI VCGetLeaderTextItalicAng(short* iError);
double WINAPI VCGetLeaderTextLineSpace(short* iError);
double WINAPI VCGetLeaderTextOffset(short* iError);
void WINAPI VCGetLeaderTextOffsetBP(short* iError, double* dRet);
vbool WINAPI VCGetLeaderTextProSpacing(short* iError);
vbool WINAPI VCGetLeaderTextUnderline(short* iError);
vbool WINAPI VCGetLineTypeDisplay(short* iError);
void WINAPI VCGetLineTypeFromIndex(short* iError, short iIndex, char* pName, short* bCode, short* iDashCount, double* pDashes);
short WINAPI VCGetLineTypeIndex(short* iError);
short WINAPI VCGetLineTypeIndexFromEntityValue(short* iError, short iEntityValue);
short WINAPI VCGetLineTypeIndexFromName(short* iError, char* pName);
short WINAPI VCGetLineTypeNameFromIndex(short* iError, short iIndex, char* pName);
vbool WINAPI VCGetLineWidthDisplay(short* iError);
short WINAPI VCGetLineWidthIndex(short* iError);
void WINAPI VCGetLineWidthValue(short* iError, float* dV);
short WINAPI VCGetMDICount(short* iError);
short WINAPI VCGetMajorVersion(void);
short WINAPI VCGetManualEntryMode(short* iError);
vbool WINAPI VCGetMapAcadPolylineWidths(short* iError);
void WINAPI VCGetMeasureValues(short* iError, double* dSegmentDist, double* dDist, double* dArea, double* dAngle, double* dAngle3Point);
short WINAPI VCGetMenu(short* iError, char* sz);
long WINAPI VCGetMessageHandle(void);
short WINAPI VCGetMinorDotVersion(void);
short WINAPI VCGetMinorInternalVersion(void);
short WINAPI VCGetMinorVersion(void);
double WINAPI VCGetNumCopies(short* iError);
void WINAPI VCGetNumCopiesBP(short* iError, double* dRet);
short WINAPI VCGetNumRows(short* iError);
double WINAPI VCGetOffsetDist(short* iError);
void WINAPI VCGetOffsetDistBP(short* iError, double* dRet);
vbool WINAPI VCGetOffsetFixed(short* iError);
short WINAPI VCGetOleDllClassName(short* iError, char* szPath);
short WINAPI VCGetOleDllFunctionCmdLine(short* iError, char* szPath);
short WINAPI VCGetOleDllFunctionName(short* iError, char* szPath);
short WINAPI VCGetOleDllName(short* iError, char* szPath);
double WINAPI VCGetOrdinateTextOffset(short* iError);
double WINAPI VCGetOrthoAng(short* iError);
void WINAPI VCGetOrthoAngBP(short* iError, double* dRet);
vbool WINAPI VCGetOrthoMode(short* iError);
vbool WINAPI VCGetPointDisplay(short* iError);
short WINAPI VCGetPopupButton(short* iError);
short WINAPI VCGetProgramPath(short* iError, char* szPath);
vbool WINAPI VCGetQuickSearch(short* iError);
vbool WINAPI VCGetRPolyInscribe(short* iError);
short WINAPI VCGetRPolySides(short* iError);
short WINAPI VCGetRadCopies(short* iError);
vbool WINAPI VCGetReadOnly(short* iError, short* iReadOnly);
void WINAPI VCGetRefFrame(short* iError, Point2D* dpLL, Point2D* dpUR);
short WINAPI VCGetRefFrameColor(short* iError);
vbool WINAPI VCGetRefFrameDrawBoundary(short* iError);
vbool WINAPI VCGetRefFrameIsDataBound(short* iError);
short WINAPI VCGetRefFrameLineWidth(short* iError);
short WINAPI VCGetRefFrameName(short* iError, char* s);
void WINAPI VCGetRefFrameOffset(short* iError, Point2D* dpOffset);
void WINAPI VCGetRefFrameRot(short* iError, double* dR);
void WINAPI VCGetRefFrameScale(short* iError, Point2D* dpP);
void WINAPI VCGetRefFrameViewWidthHeight(short* iError, Point2D* dpWidthHeight);
vbool WINAPI VCGetReplaceWithSymbol(short* iError);
short WINAPI VCGetRubberBandColor(short* iError);
short WINAPI VCGetSCRPath(short* iError, char* szPath);
short WINAPI VCGetSYSPath(short* iError, char* szPath);
vbool WINAPI VCGetSaveEnvOnExit(short* iError);
vbool WINAPI VCGetSavePaths(short* iError);
double WINAPI VCGetScaleX(short* iError);
void WINAPI VCGetScaleXBP(short* iError, double* dRet);
Point2D WINAPI VCGetScaleXY(short* iError);
void WINAPI VCGetScaleXYBP(short* iError, Point2D* pRet);
double WINAPI VCGetScaleY(short* iError);
void WINAPI VCGetScaleYBP(short* iError, double* dRet);
short WINAPI VCGetSecondaryDistFormat(short* iError);
short WINAPI VCGetSelectionColor(short* iError);
short WINAPI VCGetSelectionContextEditIds(long* pIds, short iMax);
long WINAPI VCGetSelectionCount(short* iError);
vbool WINAPI VCGetShiftClick(short* iError);
vbool WINAPI VCGetShortLayerList(short* iError);
vbool WINAPI VCGetShowAngleSeconds(short* iError);
vbool WINAPI VCGetShowDimAngleSeconds(short* iError);
vbool WINAPI VCGetShowDrag(short* iError);
vbool WINAPI VCGetShowSecondaryUnit(short* iError);
vbool WINAPI VCGetShowSingleUnitFrac(short* iError);
vbool WINAPI VCGetShowTangentPoints(short* iError);
double WINAPI VCGetSnapPercentVal(short* iError);
void WINAPI VCGetSnapPercentValBP(short* iError, double* dRet);
vbool WINAPI VCGetSolid(short* iError);
double WINAPI VCGetSpanAngle(short* iError);
void WINAPI VCGetSpanAngleBP(short* iError, double* dRet);
BYTE WINAPI VCGetStyleIndex(short* iError);
short WINAPI VCGetSym3DName(short* iError, char* pS);
void WINAPI VCGetSym3DNormal(short* iError, Point3D* normal);
void WINAPI VCGetSym3DRot(short* iError, double* dV);
void WINAPI VCGetSym3DScale(short* iError, Point3D* dpScale);
vbool WINAPI VCGetSymAutoExplode(short* iError);
short WINAPI VCGetSymExplode(short* iError);
short WINAPI VCGetSymName(short* iError, char* pS);
double WINAPI VCGetSymRot(short* iError);
void WINAPI VCGetSymRotBP(short* iError, double* dRet);
Point2D WINAPI VCGetSymScale(short* iError);
void WINAPI VCGetSymScaleBP(short* iError, Point2D* pRet);
double WINAPI VCGetSymScaleX(short* iError);
void WINAPI VCGetSymScaleXBP(short* iError, double* dRet);
double WINAPI VCGetSymScaleY(short* iError);
void WINAPI VCGetSymScaleYBP(short* iError, double* dRet);
vbool WINAPI VCGetSymSnap(short* iError);
short WINAPI VCGetSymbolDefCount(void);
short WINAPI VCGetSymbolDefEntityCount(short i);
short WINAPI VCGetSymbolIndex(short* iError, char* pName);
short WINAPI VCGetSymbolInternalName(short* iError, char* pFileName, char* pReturn);
short WINAPI VCGetSymbolName(char* pName, short i);
short WINAPI VCGetSymbolPlacementCount(short i);
short WINAPI VCGetSystemHatchName(short* iError, char* pName, short i);
short WINAPI VCGetSystemHatchNameCount(void);
double WINAPI VCGetTextAspect(short* iError);
void WINAPI VCGetTextAspectBP(short* iError, double* dRet);
vbool WINAPI VCGetTextBold(short* iError);
double WINAPI VCGetTextCharSpace(short* iError);
void WINAPI VCGetTextCharSpaceBP(short* iError, double* dRet);
short WINAPI VCGetTextColor(short* iError);
short WINAPI VCGetTextFontName(short* iError, char* pS);
double WINAPI VCGetTextHeight(short* iError);
void WINAPI VCGetTextHeightBP(short* iError, double* dRet);
vbool WINAPI VCGetTextItalic(short* iError);
double WINAPI VCGetTextItalicValue(short* iError);
void WINAPI VCGetTextItalicValueBP(short* iError, double* dI);
short WINAPI VCGetTextJustify(short* iError);
short WINAPI VCGetTextLayer(short* iError);
double WINAPI VCGetTextLineSpace(short* iError);
void WINAPI VCGetTextLineSpaceBP(short* iError, double* dRet);
vbool WINAPI VCGetTextProSpacing(short* iError);
double WINAPI VCGetTextRot(short* iError);
void WINAPI VCGetTextRotBP(short* iError, double* dRet);
short WINAPI VCGetTextString(short* iError, char* pS);
void WINAPI VCGetTextStringBP(short* iError, char* pS);
vbool WINAPI VCGetTextUnderline(short* iError);
void WINAPI VCGetTextUseByLayerProperties(short* iError, vbool* tfColor, vbool* tfLineType, vbool* tfLineWidth);
vbool WINAPI VCGetTextUseTextLayer(short* iError);
vbool WINAPI VCGetToggleState(WORD id, vbool tfReverseState);
void WINAPI VCGetUnitConversionFactor(short* iError, double* dRet);
void WINAPI VCGetUseByLayerProperties(short* iError, vbool* tfColor, vbool* tfLineType, vbool* tfLineWidth);
vbool WINAPI VCGetUseFileLocking(short* iError);
long WINAPI VCGetUsedSymbolCount(short* iError);
long WINAPI VCGetUsedSymbolIndex(short* iError, long IndexIn);
short WINAPI VCGetUserDataName(short* iError, char* pS);
void WINAPI VCGetUserToolLBDown(short* iError, Point2D* dpP);
void WINAPI VCGetUserToolLBUp(short* iError, Point2D* dpP);
void WINAPI VCGetUserToolMouseMove(short* iError, Point2D* dpP);
short WINAPI VCGetVCDPath(short* iError, char* szPath);
short WINAPI VCGetVCFPath(short* iError, char* szPath);
HINSTANCE WINAPI VCGetVCMainInstance(void);
short WINAPI VCGetVCSPath(short* iError, char* szPath);
double WINAPI VCGetVideoTolerance(short* iError);
void WINAPI VCGetVideoToleranceBP(short* iError, double* dRet);
vbool WINAPI VCGetView(short* iError, long hWnd, short* iView);
vbool WINAPI VCGetViewCount(short* iError, WORLDHANDLE hW, short* iVCnt);
double WINAPI VCGetWallWidth1(short* iError);
void WINAPI VCGetWallWidth1BP(short* iError, double* dRet);
double WINAPI VCGetWallWidth2(short* iError);
void WINAPI VCGetWallWidth2BP(short* iError, double* dRet);
WORLDHANDLE WINAPI VCGetWorldByHWND(short* iError, long hwnd);
void WINAPI VCGetWorldExtents(short* iError, Point2D* dpMin, Point2D* dpMax);
void WINAPI VCGetWorldIndexByHWND(short* iError, long hWnd, WORLDHANDLE* hW);
void WINAPI VCGetWorldSizeBP(short* iError, double dScreenSize, double* dWorldSize);
long WINAPI VCGetXYHandle(void);
double WINAPI VCGetZoomFactor(short* iError);
void WINAPI VCGetZoomFactorBP(short* iError, double* dRet);
long WINAPI VCGethWnd(WORLDHANDLE hW);
long WINAPI VCGethWndFrame(void);
void WINAPI VCIncrementWidthOnAllEntities(short* iError, short iIncrement);
void WINAPI VCInit(void);
void WINAPI VCInitWithProgramRegKey(char* RegKey);
void WINAPI VCInvalidateRect(void);
vbool WINAPI VCIsAnythingSelected(void);
vbool WINAPI VCIsCurrentErased(short* iError);
vbool WINAPI VCIsCurrentSelected(short* iError);
vbool WINAPI VCIsCurrentWorldValid(void);
vbool WINAPI VCIsDrawingDirty(void);
vbool WINAPI VCIsFileLocked(char* szFilename, char* szLockedByName, char* szTimeLocked);
vbool WINAPI VCIsFileLockedByCurrentUser(void);
vbool WINAPI VCIsFilterActive(short* iError);
vbool WINAPI VCIsFontNameVText(short* iError, char* pS);
vbool WINAPI VCIsGraphic(short* iError);
vbool WINAPI VCIsOleWorld(void);
vbool WINAPI VCIsRedoable(void);
vbool WINAPI VCIsScriptAssigned(short iShift, short iKey);
vbool WINAPI VCIsSymbolLoaded(char* szSymbolName);
vbool WINAPI VCIsTextFontVText(short* iError);
vbool WINAPI VCIsToggle(WORD id);
vbool WINAPI VCIsUndoable(void);
vbool WINAPI VCIsWorldEmpty(WORLDHANDLE hW);
vbool WINAPI VCIsWorldValid(WORLDHANDLE hW);
void WINAPI VCLButtonDblClk(long lParam, WORD wParam);
void WINAPI VCLButtonDown(long lParam, WORD wParam);
void WINAPI VCLButtonDown2(short cx, short cy);
void WINAPI VCLButtonDownWorldPoint(Point2D* dpW);
void WINAPI VCLButtonUp(long lParam, WORD wParam);
void WINAPI VCLButtonUpTimerReset(short* iError);
Point2D WINAPI VCLParamToPoint2D(long lParam);
void WINAPI VCLParamToPoint2DBP(long lParam, Point2D* pRet);
void WINAPI VCLastEntity(short* iError, ENTITYHANDLE* lH);
vbool WINAPI VCLayerHasProperties(short* iError, short iLayer);
void WINAPI VCLayerSelect(short* iError, short iLayer, vbool tfSelect);
void WINAPI VCLineAngle(short* iError, double* dAngle, Point2D* dpP0, Point2D* dpP1);
void WINAPI VCLineLength(short* iError, double* dLength, Point2D* dpP0, Point2D* dpP1);
void WINAPI VCLinePerpPoint(short* iError, Point2D* dpC, Point2D* dpP0, Point2D* dpP1, Point2D* dpOff);
void WINAPI VCLinePointCompute(short* iError, Point2D* dpC, Point2D* dpP0, Point2D* dpP1, double dDist, double dAngle);
void WINAPI VCLoadVCDFromFile(short* iError, char* pS_);
vbool WINAPI VCLockFile(char* szFileName, vbool* tfFileReadOnly, vbool tfLoading);
void WINAPI VCLockMessage(short* iError, char* szMess, vbool tfLock);
void WINAPI VCMacro(char* sz);
vbool WINAPI VCMakeValidDosFilenameForSave(char* pFilename);
void WINAPI VCManualEntryMode(short ID);
void WINAPI VCMatchCurrentEntity(short* iError);
void WINAPI VCMouseMove(long lParam, WORD wParam);
void WINAPI VCMouseMove2(short cx, short cy);
void WINAPI VCMouseMoveWorldPoint(Point2D dpW);
void WINAPI VCMouseMoveWorldPointBP (Point2D* dpW);
void WINAPI VCMoveCursor(short nVKey);
void WINAPI VCNameView(char* szView);
void WINAPI VCNewView(short* iError, long hWnd_);
WORLDHANDLE WINAPI VCNewWorld(long hWnd_);
vbool WINAPI VCNextEntity(short* iError, short* bKind);
vbool WINAPI VCNextEntityExpand(short* iError, short* bKind);
vbool WINAPI VCNextGraphic(short* iError, GRAPHICHANDLE hG);
vbool WINAPI VCNextOnScreen(short* iError, short* bKind);
vbool WINAPI VCNextSelected(short* iError, short* bKind);
vbool WINAPI VCNextView(short* iError);
vbool WINAPI VCNextWorld(short* iError);
void WINAPI VCObjectSelect(Point2D* dpP0);
void WINAPI VCOleUpdate(void);
void WINAPI VCOnActivateView(short* iError, HWND hActiveWnd, vbool tfEatLButtonDown);
void WINAPI VCOnScroll(short* iError,  UINT uWhichScroll, UINT nSBCode, UINT nPos);
void WINAPI VCOnTimerRunningSnap(void);
void WINAPI VCOpenCMP(char* szFile);
void WINAPI VCOpenGCD(char* szFile);
void WINAPI VCOpenStyle(char* fname);
void WINAPI VCOpenVCA(char* szFile);
void WINAPI VCOpenVCD(char* szFile);
void WINAPI VCOpenVCS(char* szFile);
void WINAPI VCPaint(long hWnd, RECT rc);
void WINAPI VCPaintBP (long hWnd, RECT* rc);
void WINAPI VCPaintWorld(void);
void WINAPI VCPanCursor(short nVKey);
void WINAPI VCPenUp(void);
vbool WINAPI VCPostMessage(UINT iMessage, WPARAM wParam, LPARAM lParam);
void WINAPI VCPurgeErasedEntities(WORLDHANDLE hW);
void WINAPI VCRButtonUp(long lParam, WORD wParam);
vbool WINAPI VCRFGetDrawBoundary(short* iError);
vbool WINAPI VCRFGetTransparent(short* iError);
void WINAPI VCRFSetDrawBoundary(short* iError, vbool tfDrawBoundary);
void WINAPI VCRFSetTransparent(short* iError, vbool tfDrawBoundary);
void WINAPI VCRFUpdateFileLink(short* iError);
void WINAPI VCRelativePath(short* iError, char* ReturnPath, char* CurrPath, char* AbsPath);
vbool WINAPI VCRemoveAllViews(short* iError, WORLDHANDLE hW);
void WINAPI VCRemoveFileLock(char* szFile);
void WINAPI VCRemoveSymbols(short* iError, char* pNames, short iCnt);
vbool WINAPI VCRemoveView(short* iError, WORLDHANDLE hW, long hWnd);
void WINAPI VCResetAllLayerTables(short* iError);
void WINAPI VCResetOnScreenList(short* iError);
void WINAPI VCResizeChildWindow(void);
void WINAPI VCRestoreSettings(void);
void WINAPI VCRestoreSysSettings(void);
void WINAPI VCSaveCurrent3DViewTo2D(short* iError, WORLDHANDLE TargetWorld);
void WINAPI VCSaveDrawingView(short* iError, vbool tfSaveView);
void WINAPI VCSaveEnvironment(short* iError);
void WINAPI VCSaveSettings(void);
void WINAPI VCSaveStyle(char* fname);
void WINAPI VCSaveSysSettings(void);
void WINAPI VCSaveVCA(char* szAttribName, char* szAttribFile);
void WINAPI VCSaveVCDToFile(short* iError, char* pS_);
void WINAPI VCSaveVCS(char* szSymbolName, char* szSymbolFile);
void WINAPI VCScreenToWorld2D(short* iError, iPoint2D ipScreen, Point2D* dpWorld);
void WINAPI VCScreenToWorld2DBP (short* iError, iPoint2D* ipScreen, Point2D* dpWorld);
void WINAPI VCScrollEnd(short* iError);
void WINAPI VCScrollStart(short* iError);
void WINAPI VCSelectAll(void);
void WINAPI VCSelectInvert(void);
void WINAPI VCSelectLast(void);
LRESULT WINAPI VCSendMessage(UINT iMessage, WPARAM wParam, LPARAM lParam);
void WINAPI VCSet3DDisplay(short* iError, short iCode);
void WINAPI VCSet3DQShadeOptions(short* iError, short iCode);
void WINAPI VCSetAcadImportUnit(short* iError, BYTE b);
void WINAPI VCSetAlertApp(short* iError, long hWnd, short iCode);
void WINAPI VCSetAlertAppDll(short* iError, char* DllName, char* NativeCmd, long iCode);
void WINAPI VCSetAlertAppDllEx(short* iError, char* DllName, char* NativeCmd, long iCode0, long iCode1);
void WINAPI VCSetAlertAppEx(short* iError, long hWnd, long iCode0, long iCode1);
void WINAPI VCSetAllDimPartsColor(short* iError, short iColor);
void WINAPI VCSetAllDimPartsOn(short* iError);
void WINAPI VCSetAllLayersEd(short* iError, vbool tf);
void WINAPI VCSetAllLayersSnap(short* iError, vbool tf);
void WINAPI VCSetAngle(short* iError, double dRet);
void WINAPI VCSetAngleHandle(long hWnd_);
void WINAPI VCSetArrowScreenStep(short* iError, short i);
void WINAPI VCSetArrowWorld(short* iError, vbool tf);
void WINAPI VCSetArrowWorldStep(short* iError, double dRet);
void WINAPI VCSetAskZoomCenter(short* iError, vbool tf);
void WINAPI VCSetAtbColorIndex(short* iError, short iIndex);
void WINAPI VCSetAtbDefLabelValue(short* iError, char* szName, char* szLabel, char* Value, short iRec);
void WINAPI VCSetAtbDisplay(short* iError, vbool tf);
void WINAPI VCSetAtbFont(short* iError, char* pS);
void WINAPI VCSetAtbHeight(short* iError, double dRet);
void WINAPI VCSetAtbLabel(short* iError, vbool tf);
void WINAPI VCSetAutoFillet(short* iError, vbool tf);
void WINAPI VCSetAutoSave(short* iError, vbool tf);
void WINAPI VCSetAutoSaveSecs(short* iError, short i);
void WINAPI VCSetBackgroundColor(short* iError, short i);
void WINAPI VCSetBackwardsRedraw(short* iError, vbool tfBRD);
void WINAPI VCSetCMPPath(short* iError, char* szPath);
void WINAPI VCSetChamferDist1(short* iError, double dRet);
void WINAPI VCSetChamferDist2(short* iError, double dRet);
void WINAPI VCSetCmdStr(short* iError, char* pS);
void WINAPI VCSetColorIndex(short* iError, short i);
void WINAPI VCSetConstPt(short* iError, vbool tf);
void WINAPI VCSetCurEntAtbRecValue(short* iError, short iWhichAtb, short iWhichRec, char* pValue);
void WINAPI VCSetCurEntAtbRefPoint(short* iError, short iWhichAtb, Point2D* dpRef);
void WINAPI VCSetCurrWorld(WORLDHANDLE hW);
void WINAPI VCSetCurrentDeSelected(short* iError);
void WINAPI VCSetCurrentEntity(short* iError, ENTITYHANDLE lH);
void WINAPI VCSetCurrentEntity3DFlag0(short* iError, short iFlag);
void WINAPI VCSetCurrentEntityCloseContour(short* iError, vbool tf);
void WINAPI VCSetCurrentEntityPoint(short* iError, short i, Point2D* dpP);
void WINAPI VCSetCurrentEntityPoint3D(short* iError, short i, Point3D* dpP);
void WINAPI VCSetCurrentEntityPoints(short* iError, Point2D* p2dArray, short iPointCount);
void WINAPI VCSetCurrentEntitySubEntity(short* iError, ENTITYHANDLE lH, short iContour, short iEntity);
void WINAPI VCSetCurrentEntityUID(short* iError, UID uid);
void WINAPI VCSetCurrentEntityUserDataByte(short* iError, short iIndex, BYTE b);
void WINAPI VCSetCurrentEntityUserDataChunk(short* iError, short iIndex, void* p, short iSize);
void WINAPI VCSetCurrentEntityUserDataDouble(short* iError, short iIndex, double dRet);
void WINAPI VCSetCurrentEntityUserDataFloat(short* iError, short iIndex, float f);
void WINAPI VCSetCurrentEntityUserDataLong(short* iError, short iIndex, long l);
void WINAPI VCSetCurrentEntityUserDataShort(short* iError, short iIndex, short s);
void WINAPI VCSetCurrentEntityUserDataString(short* iError, short iIndex, char* str);
void WINAPI VCSetCurrentErased(short* iError);
void WINAPI VCSetCurrentSelected(short* iError);
void WINAPI VCSetCurrentUnErased(short* iError);
void WINAPI VCSetCurrentView(short* iError, short iView);
WORLDHANDLE WINAPI VCSetCurrWorldByHWND(short* iError, HWND hWnd);
void WINAPI VCSetCursor(short* iError, char* dzName);
void WINAPI VCSetCursorColor(short* iError, short i);
void WINAPI VCSetCursorEx(short* iError, HCURSOR hC);
void WINAPI VCSetCursorFree(short* iError, vbool tf);
void WINAPI VCSetCursorSize(short* iError, short i);
void WINAPI VCSetDWGPath(short* iError, char* szPath);
void WINAPI VCSetDXFPath(short* iError, char* szPath);
void WINAPI VCSetDatumBasePt(short* iError, Point2D p);
void WINAPI VCSetDatumBasePtBP (short* iError, Point2D* p);
void WINAPI VCSetDatumType(short* iError, short iDatumType);
void WINAPI VCSetDefaultTool(short* iError, WORD w);
void WINAPI VCSetDimAngleFormat(short* iError, short iF_);
void WINAPI VCSetDimArrowAngle(short* iError, double dRet);
void WINAPI VCSetDimArrowFlipDists(short* iError, double d0, double d1);
void WINAPI VCSetDimArrowLength(short* iError, double dRet);
void WINAPI VCSetDimArrowMode(short* iError, short b);
void WINAPI VCSetDimArrowType(short* iError, short b);
void WINAPI VCSetDimDecimalValue(short* iError, short iF_);
void WINAPI VCSetDimDistFormat(short* iError, short iF_);
void WINAPI VCSetDimExtAbove(short* iError, double dRet);
void WINAPI VCSetDimExtBelow(short* iError, double dRet);
void WINAPI VCSetDimExtOffset(short* iError, double dRet);
void WINAPI VCSetDimFont(short* iError, char* pS);
void WINAPI VCSetDimFractionalValue(short* iError, short iF_);
void WINAPI VCSetDimItemColor(short* iError, short i, short j);
void WINAPI VCSetDimItemLineType(short* iError, short i, short j);
void WINAPI VCSetDimItemLineWidth(short* iError, short i, short j);
void WINAPI VCSetDimItemShow(short* iError, short i, vbool tf);
void WINAPI VCSetDimLayer(short* iError, short i);
void WINAPI VCSetDimLineAngle(short* iError, double dRet);
void WINAPI VCSetDimLineDirect(short* iError, short b);
void WINAPI VCSetDimLineText(short* iError, short b);
void WINAPI VCSetDimShowDash(short* iError, vbool tf);
void WINAPI VCSetDimShowLeadingZeros(short* iError, short iF_);
void WINAPI VCSetDimShowUnits(short* iError, short iF_);
void WINAPI VCSetDimTextAspect(short* iError, double dRet);
void WINAPI VCSetDimTextBold(short* iErrors, short i);
void WINAPI VCSetDimTextCentered(short* iError, vbool tf);
void WINAPI VCSetDimTextCharSpace(short* iError, double dCharSpacing);
void WINAPI VCSetDimTextFillVText(short* iError, vbool tf);
void WINAPI VCSetDimTextHeight(short* iError, double dRet);
void WINAPI VCSetDimTextHorizSpace(short* iError, double dRet);
void WINAPI VCSetDimTextItalic(short* iError, vbool tf);
void WINAPI VCSetDimTextItalicAng(short* iError, double dI);
void WINAPI VCSetDimTextLineSpace(short* iError, double dLineSpacing);
void WINAPI VCSetDimTextOverwrite(short* iError, short b);
void WINAPI VCSetDimTextOverwriteString(short* iError, char* pB);
void WINAPI VCSetDimTextPrefix(short* iError, short b);
void WINAPI VCSetDimTextPrefixString(short* iError, char* pB);
void WINAPI VCSetDimTextProSpacing(short* iError, vbool b);
void WINAPI VCSetDimTextRotationType(short* iError, short b);
void WINAPI VCSetDimTextScale(short* iError, double dRet);
void WINAPI VCSetDimTextSuffix(short* iError, short b);
void WINAPI VCSetDimTextSuffixString(short* iError, char* pB);
void WINAPI VCSetDimTextTolDecimal(short* iError, short b);
void WINAPI VCSetDimTextTolLowerVal(short* iError, double dRet);
void WINAPI VCSetDimTextTolType(short* iError, short b);
void WINAPI VCSetDimTextTolUpperVal(short* iError, double dRet);
void WINAPI VCSetDimTextUnderline(short* iError, vbool tf);
void WINAPI VCSetDimTextVertSpace(short* iError, double dRet);
void WINAPI VCSetDimUseDimLayer(short* iError, vbool tf);
void WINAPI VCSetDisplayAngleFormat(short* iError, short iF_);
void WINAPI VCSetDisplayDecimalValue(short* iError, short iF_);
void WINAPI VCSetDisplayDistFormat(short* iError, short iF_);
void WINAPI VCSetDisplayFontNotFoundMessage(short* iError, vbool tf);
void WINAPI VCSetDisplayFractionalValue(short* iError, short iF_);
void WINAPI VCSetDisplayHiddenLayersMessage(short* iError, vbool tf);
void WINAPI VCSetDisplayShowLeadingZeros(short* iError, short iF_);
void WINAPI VCSetDisplayShowUnits(short* iError, short iF_);
void WINAPI VCSetDistanceHandle(long hWnd_);
void WINAPI VCSetDllRunCmdLine(short* iError, char* szPath);
void WINAPI VCSetDllRunFunction(short* iError, char* szPath);
void WINAPI VCSetDllRunName(short* iError, char* szPath);
void WINAPI VCSetDrawFBoundary(short* iError, vbool tfB);
void WINAPI VCSetDrawHBoundary(short* iError, vbool tfB);
void WINAPI VCSetDrawingName(char* pName);
vbool WINAPI VCSetEatNextLButtonDown(short* iError, vbool tfSet);
void WINAPI VCSetEmbAtbLabelValue(short* iError, short iWhichSymbolDef, short iWhichAtb, char* szLabel, char* Value, short iRec);
void WINAPI VCSetEntitySection(short* iError);
void WINAPI VCSetExeName(short* iError, char* sz);
void WINAPI VCSetExplodeContinuousLines(short* iError, BYTE tf);
void WINAPI VCSetFillColor(short* iError, short i);
void WINAPI VCSetFillDisplay(short* iError, vbool tf);
void WINAPI VCSetFillVText(short* iError, vbool tf);
void WINAPI VCSetFilletPreview(short* iError, vbool tf);
void WINAPI VCSetFilletRad(short* iError, double dRet);
void WINAPI VCSetFilterActive(short* iError, vbool tf);
void WINAPI VCSetFilterColor(short* iError, short i);
void WINAPI VCSetFilterKind(short* iError, BYTE b);
void WINAPI VCSetFilterKind2(short* iError, BYTE b);
void WINAPI VCSetFilterLayer(short* iError, short i);
void WINAPI VCSetFilterLineType(short* iError, short i);
void WINAPI VCSetFilterMatch(short* iError, ENTITYHANDLE EH);
void WINAPI VCSetFilterName(short* iError, char* sz);
void WINAPI VCSetFilterWidth(short* iError, short i);
vbool WINAPI VCSetFunkeyCmdString(char* szCmd, short iShift, short nVKey);
void WINAPI VCSetGCDDefaultHatchName(short* iError, char* szName);
void WINAPI VCSetGCDPath(short* iError, char* szPath);
void WINAPI VCSetGraphicPenWidth(short* iError, double dPen);
void WINAPI VCGetGraphicPenWidth(short* iError, double* dPen);
void WINAPI VCSetGridDisplay(short* iError, vbool tfDisp);
void WINAPI VCSetGridOrigin(short* iError, Point2D dpOrg);
void WINAPI VCSetGridOriginBP(short* iError, Point2D* dpOrg_);
void WINAPI VCSetGridSize(short* iError, Point2D dpSize);
void WINAPI VCSetGridSizeBP(short* iError, Point2D* dpSize_);
void WINAPI VCSetGridSnap(short* iError, vbool tfSnap);
void WINAPI VCSetHandlePt(short* iError, vbool tf);
void WINAPI VCSetHatchColor(short* iError, short i);
void WINAPI VCSetHatchDisplay(short* iError, vbool tf);
void WINAPI VCSetHatchName(short* iError, char* s);
void WINAPI VCSetHatchRot(short* iError, double dRet);
void WINAPI VCSetHatchScale(short* iError, double dRet);
void WINAPI VCSetHeaderUserData(short* iError);
void WINAPI VCSetHighlight(short* iError, vbool tf);
void WINAPI VCSetIncSnap(short* iError, vbool tf);
void WINAPI VCSetIncSnapSize(short* iError, double dRet);
void WINAPI VCSetIsoMode(short* iError, vbool tf);
void WINAPI VCSetIsoPlane(short* iError, short iPlane);
void WINAPI VCSetKeepAcadFontName(short* iError, BOOL tf);
void WINAPI VCSetKeepGCDFontName(short* iError, BOOL tf);
void WINAPI VCSetKeepGCDHatch(short* iError, BOOL tf);
void WINAPI VCSetLTScaleDevice(short* iError, double dRet);
void WINAPI VCSetLTScaleWorld(short* iError, double dRet);
void WINAPI VCSetLastCommandId(WORD CmdId);
void WINAPI VCSetLastPoint(short* iError, Point2D* dpP);
void WINAPI VCSetLayerDisplay(short* iError, short iIndex, vbool tf);
void WINAPI VCSetLayerGroupLayer(short* iError, short iGroupIndex, short iLayer, vbool bState);
void WINAPI VCSetLayerIndex(short* iError, short i);
void WINAPI VCSetLayerPrintable(short* iError, short iLayer, vbool tfPrintableFlag);
vbool WINAPI VCSetLayerProperties(short* iError, short iLayer, short iColor, short iLtype, short iWidth, float fWidth);
void WINAPI VCSetLayerRedraw(short* iError, vbool tf);
void WINAPI VCSetLeaderArrowAngle(short* iError, double dRet);
void WINAPI VCSetLeaderArrowLength(short* iError, double dRet);
void WINAPI VCSetLeaderArrowMode(short* iError, short b);
void WINAPI VCSetLeaderArrowType(short* iError, short b);
void WINAPI VCSetLeaderFontName(short* iError, char* pS);
void WINAPI VCSetLeaderShoulderLength(short* iError, double dRet);
void WINAPI VCSetLeaderString(short* iError, char* s);
void WINAPI VCSetLeaderTextAspect(short* iError, double dRet);
void WINAPI VCSetLeaderTextBold(short* iErrors, short i);
void WINAPI VCSetLeaderTextCharSpace(short* iError, double dCharSpacing);
void WINAPI VCSetLeaderTextFillVText(short* iError, vbool tf);
void WINAPI VCSetLeaderTextHeight(short* iError, double dRet);
void WINAPI VCSetLeaderTextItalic(short* iError, vbool tf);
void WINAPI VCSetLeaderTextItalicAng(short* iError, double dI);
void WINAPI VCSetLeaderTextLineSpace(short* iError, double dLineSpacing);
void WINAPI VCSetLeaderTextOffset(short* iError, double dRet);
void WINAPI VCSetLeaderTextProSpacing(short* iError, vbool b);
void WINAPI VCSetLeaderTextUnderline(short* iError, vbool tf);
void WINAPI VCSetLineTypeDisplay(short* iError, vbool tf);
void WINAPI VCSetLineTypeIndex(short* iError, short i);
void WINAPI VCSetLineWidthDisplay(short* iError, vbool tf);
void WINAPI VCSetLineWidthIndex(short* iError, short i);
void WINAPI VCSetLineWidthValue(short* iError, float dV);
void WINAPI VCSetMBMode(short* iError);
void WINAPI VCSetMOMode(short* iError);
void WINAPI VCSetMRMode(short* iError);
void WINAPI VCSetMapAcadPolylineWidths(short* iError, vbool tf);
void WINAPI VCSetMaxUID(short* iError, UID uidMax);
void WINAPI VCSetMenu(short* iError, char* sz);
void WINAPI VCSetMessageHandle(long hWnd_);
void WINAPI VCSetNamedLayer(short* iError, short iIndex, char* pName);
void WINAPI VCSetNumCopies(short* iError, short i);
void WINAPI VCSetNumRows(short* iError, short i);
void WINAPI VCSetOffsetDist(short* iError, double dRet);
void WINAPI VCSetOffsetFixed(short* iError, vbool tf);
void WINAPI VCSetOleDllClassName(short* iError, char* szPath);
void WINAPI VCSetOleDllFunctionCmdLine(short* iError, char* szPath);
void WINAPI VCSetOleDllFunctionName(short* iError, char* szPath);
void WINAPI VCSetOleDllName(short* iError, char* szPath);
void WINAPI VCSetOrdinateTextOffset(short* iError, double dRet);
void WINAPI VCSetOrthoAng(short* iError, double dRet);
void WINAPI VCSetOrthoMode(short* iError, vbool tf);
void WINAPI VCSetPointDisplay(short* iError, vbool tf);
void WINAPI VCSetPopupButton(short* iError, short i);
void WINAPI VCSetProjection3D(short* iError, short iCode);
void WINAPI VCSetQuickSearch(short* iError, vbool tfQS);
void WINAPI VCSetRPolyInscribe(short* iError, vbool tf);
void WINAPI VCSetRPolySides(short* iError, short i);
void WINAPI VCSetRPolygonSides(long id);
void WINAPI VCSetRadCopies(short* iError, short i);
void WINAPI VCSetReadOnly(short* iError, short iReadOnly);
void WINAPI VCSetRefFrame(short* iError, Point2D* dpLL, Point2D* dpUR);
void WINAPI VCSetRefFrameColor(short* iError, short iC);
void WINAPI VCSetRefFrameDrawBoundary(short* iError, vbool vb);
void WINAPI VCSetRefFrameIsDataBound(short* iError, BOOL tf);
void WINAPI VCSetRefFrameLineWidth(short* iError, short iC);
void WINAPI VCSetRefFrameName(short* iError, char* s);
void WINAPI VCSetRefFrameOffset(short* iError, Point2D* dpOffset);
void WINAPI VCSetRefFrameRot(short* iError, double* dR);
void WINAPI VCSetRefFrameScale(short* iError, Point2D* dpP);
void WINAPI VCSetRefFrameViewWidthHeight(short* iError, Point2D* dpWidthHeight);
void WINAPI VCSetReplaceWithSymbol(short* iError, vbool tf);
void WINAPI VCSetRubberBandColor(short* iError, short i);
void WINAPI VCSetSCRPath(short* iError, char* szPath);
void WINAPI VCSetSYSPath(short* iError, char* szPath);
void WINAPI VCSetSaveEnvOnExit(short* iError, vbool tf);
void WINAPI VCSetSavePaths(short* iError, vbool tf);
void WINAPI VCSetScaleXYBP (short* iError, Point2D* p);
void WINAPI VCSetScaleX(short* iError, double dRet);
void WINAPI VCSetScaleXY(short* iError, Point2D p);
void WINAPI VCSetScaleY(short* iError, double dRet);
void WINAPI VCSetSecondaryDistFormat(short* iError, short iF_);
void WINAPI VCSetSelectionColor(short* iError, short i);
void WINAPI VCSetShiftClick(short* iError, vbool tfShift);
void WINAPI VCSetShortLayerList(short* iError, vbool tf);
void WINAPI VCSetShowAngleSeconds(short* iError, vbool tf);
void WINAPI VCSetShowDimAngleSeconds(short* iError, vbool tf);
void WINAPI VCSetShowDrag(short* iError, vbool tf);
void WINAPI VCSetShowSecondaryUnit(short* iError, vbool tf);
void WINAPI VCSetShowSingleUnitFrac(short* iError, vbool tf);
void WINAPI VCSetShowTangentPoints(short* iError, vbool tf);
void WINAPI VCSetSnapPercentVal(short* iError, double dRet);
void WINAPI VCSetSolid(short* iError, vbool tf);
void WINAPI VCSetSpanAngle(short* iError, double dRet);
void WINAPI VCSetSym3DName(short* iError, char* sz);
void WINAPI VCSetSym3DNormal(short* iError, Point3D* normal);
void WINAPI VCSetSym3DRot(short* iError, double dRet);
void WINAPI VCSetSym3DScale(short* iError, Point3D* dpScale);
void WINAPI VCSetSymAutoExplode(short* iError, vbool tf);
void WINAPI VCSetSymExplode(short* iError, short iEx);
void WINAPI VCSetSymName(short* iError, char* sz);
void WINAPI VCSetSymRot(short* iError, double dRet);
void WINAPI VCSetSymScale(short* iError, Point2D p);
void WINAPI VCSetSymScaleBP (short* iError, Point2D* p);
void WINAPI VCSetSymScaleX(short* iError, double dRet);
void WINAPI VCSetSymScaleY(short* iError, double dRet);
void WINAPI VCSetSymSnap(short* iError, vbool tf);
void WINAPI VCSetSymbolSection(short* iError, char* pName);
void WINAPI VCSetTextAspect(short* iError, double dRet);
void WINAPI VCSetTextBold(short* iError, vbool tf);
void WINAPI VCSetTextCharSpace(short* iError, double dCharSpacing);
void WINAPI VCSetTextColor(short* iError, short i);
void WINAPI VCSetTextFontName(short* iError, char* sz);
void WINAPI VCSetTextHeight(short* iError, double dRet);
void WINAPI VCSetTextItalic(short* iError, vbool tf);
void WINAPI VCSetTextItalicValue(short* iError, double dI);
void WINAPI VCSetTextJustify(short* iError, short j);
void WINAPI VCSetTextLayer(short* iError, short iTextLayer);
void WINAPI VCSetTextLineSpace(short* iError, double dLineSpacing);
void WINAPI VCSetTextProSpacing(short* iError, vbool b);
void WINAPI VCSetTextRot(short* iError, double dRet);
void WINAPI VCSetTextString(short* iError, char* pS);
void WINAPI VCSetTextUnderline(short* iError, vbool tf);
void WINAPI VCSetTextUseByLayerProperties(short* iError, vbool tfColor, vbool tfLineType, vbool tfLineWidth);
void WINAPI VCSetTextUseTextLayer(short* iError, vbool tf);
void WINAPI VCSetUseByLayerProperties(short* iError, vbool tfColor, vbool tfLineType, vbool tfLineWidth);
void WINAPI VCSetUseFileLocking(short* iError, vbool tf);
void WINAPI VCSetUserDataName(short* iError, char* pS);
void WINAPI VCSetVCDPath(short* iError, char* szPath);
void WINAPI VCSetVCFPath(short* iError, char* szPath);
void WINAPI VCSetVCSPath(short* iError, char* szPath);
void WINAPI VCSetVidTolerance(short* iError, double dRet);
void WINAPI VCSetView3D(short* iError, Point3D* dpEye, Point3D* dpTarget);
void WINAPI VCSetWallWidth1(short* iError, double d1);
void WINAPI VCSetWallWidth2(short* iError, double d1);
void WINAPI VCSetWorldZoomAll(short* iError);
void WINAPI VCSetWorldZoomWindow(short* iError, Point2D* p0, Point2D* p1);
void WINAPI VCSetXYHandle(long hWnd_);
void WINAPI VCSetZoomFactor(short* iError, double dRet);
void WINAPI VCSethWndFrame(long hWnd);
void WINAPI VCSethWndMdiClient(long hWnd);
void WINAPI VCSortCurrentHatchFillEntity(short* iError);
void WINAPI VCStringToAngle(short* iError, double* pD, char* pS);
void WINAPI VCStringToDist(short* iError, double* pD, char* pS);
void WINAPI VCTerminate(void);
vbool WINAPI VCThisNameIsCurrentUser(char* szName);
void WINAPI VCTimer(void);
void WINAPI VCToggle(WORD id);
void WINAPI VCTruncFrom(short* iError, ENTITYHANDLE StartHere);
void WINAPI VCUIOff(void);
void WINAPI VCUIOn(void);
void WINAPI VCUnloadUnusedSymDefs(short* iError);
void WINAPI VCUpdateStatusBar(void);
void WINAPI VCWindowSelect(Point2D* dpP0, Point2D* dpP1);
void WINAPI VCWorld2DToScreen(short* iError, Point2D* dpWorld, Point2D* dpScreen);
void WINAPI VCWorld3DToView3D(short* iError, Point3D* dpWorld3D, Point3D* dpView3D);
void WINAPI VCWorld3DToWorld2D(short* iError, Point3D* dpWorld3D, Point2D* dpWorld2D);
void WINAPI VCZoomAll(void);
vbool WINAPI VCZoomAllViews(short* iError);
void WINAPI VCZoomPrevious(void);
void WINAPI VCZoomRegen(void);
vbool WINAPI VCZoomRegenAllViews(short* iError);
void WINAPI VCZoomSelected(void);
void WINAPI VCZoomView(char* szView);
void WINAPI VComputeSplineTangentPoints(short* iError, Point2D* pInput, short iCount, Point2D* pOutput, short* iOutCount);

// Added version 4.0.0
vbool WINAPI VCGetAlternateRotation(short* iError);
void WINAPI VCSetAlternateRotation(short* iError, vbool tf);
short WINAPI VCGetMultiLineStyle (short* iError);
void WINAPI VCSetMultiLineStyle (short* iError, short i);
vbool WINAPI VCGetAtbUseLocalDisplay(short* iError);
void WINAPI VCSetAtbUseLocalDisplay(short* iError, vbool tf);
vbool WINAPI VCGetAtbLocalDisplay(short* iError);
void WINAPI VCSetAtbLocalDisplay(short* iError, vbool tf);
vbool WINAPI VCGetAtbLocalLabelDisplay(short* iError);
void WINAPI VCSetAtbLocalLabelDisplay(short* iError, vbool tf);
vbool WINAPI VCGetAtbGlobalDisplay(short* iError);
void WINAPI VCSetAtbGlobalDisplay(short* iError, vbool tf);
vbool WINAPI VCGetAtbGlobalLabelDisplay(short* iError);
void WINAPI VCSetAtbGlobalLabelDisplay(short* iError, vbool tf);
short WINAPI VCGetOrthoAdvancedType(short* iError);
void WINAPI VCSetOrthoAdvancedType(short* iError, short iType);
short WINAPI VCGetOrthoAdvDivisions(short* iError);
void WINAPI VCSetOrthoAdvDivisions(short* iError, short iInc);
double WINAPI VCGetOrthoAdvOneAngle(short* iError);
void WINAPI VCSetOrthoAdvOneAngle(short* iError, double d);
double WINAPI VCGetOrthoAdvStepAngle(short* iError);
void WINAPI VCSetOrthoAdvStepAngle(short* iError, double d);
Point2D WINAPI VCGetBasepointPt(short* iError);
void WINAPI VCGetBasepointPtBP(short* iError, Point2D* p);
void WINAPI VCSetBasepointPt(short* iError, Point2D p);
void WINAPI VCSetBasepointPtBP(short* iError, Point2D* p);
HINSTANCE WINAPI VCGetVCResourceInstance(void);
int WINAPI VCGetIniName(short* iError, char* szIniName);
short WINAPI VCGetMNUPath(short* iError, char* szPath);
void WINAPI VCSetMNUPath(short* iError, char* szPath);
short WINAPI VCGetSTYPath(short* iError, char* szPath);
void WINAPI VCSetSTYPath(short* iError, char* szPath);
DWORD WINAPI VCGetRunningSnapType(short* iError);
void WINAPI VCSetRunningSnapType(short* iError, DWORD dwFlags, WORD wOperation);
vbool WINAPI VCGetScrollBar(short* iError);
void WINAPI VCSetScrollBar(short* iError, vbool tf);
vbool WINAPI VCGetUseFastProperties(short* iError);
void WINAPI VCSetUseFastProperties(short* iError, vbool tf);
vbool WINAPI VCGetAutoForceSave(short* iError);
void WINAPI VCSetAutoForceSave(short* iError, vbool tf);
short WINAPI VCGetAutoForceSaveSecs(short* iError);
void WINAPI VCSetAutoForceSaveSecs(short* iError, short i);
short WINAPI VCGetFontListSorting(short* iError);
void WINAPI VCSetFontListSorting(short* iError, short i);
long WINAPI VCGetSortedFontList(short* iError, char* list);
short WINAPI VCGetNumDivisions(short* iError);
void WINAPI VCSetNumDivisions(short* iError, short iDivisions);
vbool WINAPI VCGetDivideBreak(short* iError);
void WINAPI VCSetDivideBreak(short* iError, vbool tfDivide);
vbool WINAPI VCGetLayerGroupProperties(short* iError, short iGroupIndex, EAttr* ea);
void WINAPI VCSetLayerGroupProperties(short* iError, short iGroupIndex, EAttr* ea);
vbool WINAPI VCGetLayerGroupUseProperties(short* iError);
void WINAPI VCSetLayerGroupUseProperties(short* iError, vbool tf);
ENTITYHANDLE WINAPI VCObjectFind(short* iError, Point2D* dpP0);

// Added version 4.0.4
HWND WINAPI VCGethWndMdiClient(void);
HMENU WINAPI VCSetHandleMDIChildMenu(short* iError, HMENU hMenu);
HMENU WINAPI VCGetHandleMDIChildMenu(void);
HMENU WINAPI VCSetHandleMDIFrameMenu(short* iError, HMENU hMenu);
HMENU WINAPI VCGetHandleMDIFrameMenu(void);
void WINAPI VCSetDrawingDirty(short* iError, vbool tfDirty);

// Added version 5.0.0
void WINAPI VCGetHatchOffset(short* iError, Point2D* dpRet);
void WINAPI VCSetHatchOffset(short* iError, Point2D dpRet);
void WINAPI VCSetHatchOffsetBP(short* iError, Point2D* dpRet);
vbool WINAPI VCInvalidateAllViews(short* iError);
vbool WINAPI VCInvalidateCurrWorldViews(short* iError);
short WINAPI VCGetAtbFontAndType(short* iError, char* pS, BYTE* pB);
void WINAPI VCSetAtbFontAndType(short* iError, char* pS, BYTE b);
short WINAPI VCGetDimFontAndType(short* iError, char* pS, BYTE* pB);
void WINAPI VCSetDimFontAndType(short* iError, char* pS, BYTE b);
short WINAPI VCGetLeaderFontNameAndType(short* iError, char* pS, BYTE* pB);
void WINAPI VCSetLeaderFontNameAndType(short* iError, char* pS, BYTE b);
short WINAPI VCGetTextFontNameAndType(short* iError, char* pS, BYTE* pB);
void WINAPI VCSetTextFontNameAndType(short* iError, char* pS, BYTE b);
long WINAPI VCGetSortedFontAndTypeList(short* iError, char* list, BYTE* pB);
vbool WINAPI VCIsFontNameTrueType(short* iError, char* pS);
COLORREF WINAPI VCGetColorRef(short* iError, short iIndex);
COLORREF WINAPI VCSetColorRef(short* iError, short iIndex, COLORREF crColor);
int WINAPI VCGetColorName(short* iError, short iIndex, char* szName);
void WINAPI VCSetColorName(short* iError, short iIndex, char* szName);
void WINAPI VCLoadColorPalette(short* iError, char* szFilePath);
void WINAPI VCSaveColorPalette(short* iError, char* szFilePath);
int WINAPI VCGetCurrentHatchStatus(short* iError);
int WINAPI VCGetCurrentHatchSegmentCount(short* iError);
void WINAPI VCGetHatchPatternRepeat(short* iError, char* szName, Point2D* ptRepeat);
int WINAPI VCGetHatchAlignment(short* iError);
void WINAPI VCSetHatchAlignment(short* iError, long iAlign);
short WINAPI VCBeginOperationEx(short* iError);
short WINAPI VCEndOperationEx(short* iError, short iUserSessionID, DWORD bfFlags);
short WINAPI VCAbortOperationEx(short* iError, short iUserSessionID, DWORD bfFlags);
short WINAPI VCGetCurrentOperationExID(short* iError);
vbool WINAPI VCSetCurrentErasedEx(short* iError, short iErase, short iUserSessionID, DWORD bfFlags);
vbool WINAPI VCSetCurrentUnErasedEx(short* iError, DWORD bfFlags);
vbool WINAPI VCIsCurrentErasedEx(short* iError);
void WINAPI VCDrawCurrentEntityEx(short* iError);
void WINAPI VCGetWorldExtentsAll(short* iError, Point2D* dpMin, Point2D* dpMax);
short WINAPI VCGetLeaderVerticalAlign(short* iError);
void WINAPI VCSetLeaderVerticalAlign(short* iError, short param);
short WINAPI VCGetLeaderJustify(short* iError);
void WINAPI VCSetLeaderJustify(short* iError, short param);
vbool WINAPI VCGetLeaderUseLeaderLayer(short* iError);
void WINAPI VCSetLeaderUseLeaderLayer(short* iError, vbool param);
short WINAPI VCGetLeaderLayer(short* iError);
void WINAPI VCSetLeaderLayer(short* iError, short param);
short WINAPI VCGetLeaderType(short* iError);
void WINAPI VCSetLeaderType(short* iError, short param);
vbool WINAPI VCInitSounds(short* iError, char* AppName, char* ExeName);
void WINAPI VCSound(UINT Sound);
double WINAPI VCGetZoomValue(short* iError);
DWORD WINAPI VCGetFullVersion(void);
void WINAPI VCInitWithPath(char* szPath);
void WINAPI VCInitWithRegKeyAndPath(char* RegKey, char* szPath);
void WINAPI VCDuplicateInDrawOrder(short* iError, ENTITYHANDLE lH);
void WINAPI VCDuplicateWithTransformInDrawOrder(short* iError, ENTITYHANDLE lH, Point2D* dpTrans, Point2D* dpScale, double dAngle);
void WINAPI VCDrawCurrentEntityFirst(short* iError);
void WINAPI VCDrawCurrentEntityLast(short* iError);
void WINAPI VCDrawCurrentEntityBefore(short* iError, ENTITYHANDLE eRef);
void WINAPI VCDrawCurrentEntityAfter(short* iError, ENTITYHANDLE eRef);
void WINAPI VCDrawSelectedFirst(short* iError);
void WINAPI VCDrawSelectedLast(short* iError);
void WINAPI VCDrawSelectedBefore(short* iError, ENTITYHANDLE eRef);
void WINAPI VCDrawSelectedAfter(short* iError, ENTITYHANDLE eRef);
int WINAPI VCGetDrawOrdinal(short* iError, ENTITYHANDLE eH, vbool ValidOnly);
int WINAPI VCGetDrawList(short* iError, ENTITYHANDLE* Buffer, int* Size, vbool ValidOnly);
void WINAPI VCSetFilterFontType(short* iError, BYTE b);
BYTE WINAPI VCGetFilterFontType(short* iError);
short WINAPI VCGetMainSpeedbar(short* iError, char* sz);
void WINAPI VCSetMainSpeedbar(short* iError, char* sz);
short WINAPI VCGetToolPalette(short* iError, char* sz);
void WINAPI VCSetToolPalette(short* iError, char* sz);
vbool WINAPI VCGetRealWorldLineWidthMode(short* iError);
void WINAPI VCSetRealWorldLineWidthMode(short* iError, vbool tf);
void WINAPI VCObjectSelectWithGroups(Point2D* dpP0);
void WINAPI VCCrossingSelectWithGroups(Point2D* dpP0, Point2D* dpP1);
vbool WINAPI VCGetPDFExportSettings(short* iError, BYTE* ps);
void WINAPI VCWritePDFImage(short* iError, short Width, short Height, Point2D dpLL, Point2D dpUR, BYTE* Data);
void WINAPI VCGroupSelected(void);
void WINAPI VCUngroupSelected(void);
void WINAPI VCLeaveGroup(void);
void WINAPI VCJoinGroup(void);
void WINAPI VCJoinGroupSameAs(short* iError, ENTITYHANDLE lE);
void WINAPI VCAddOrdinateDimensionEntity(short* iError, short iSymbolIndex, Point2D dpP0, Point2D dpP1, Point2D dpP2, Point2D dpP3);
void WINAPI VCAddOrdinateDimensionEntityBP(short* iError, short iSymbolIndex, Point2D* dpP0_, Point2D* dpP1_, Point2D* dpP2_, Point2D* dpP3_);
vbool WINAPI VCGetShowPreview(short* iError);
void WINAPI VCSetShowPreview(short* iError, vbool tf);
vbool WINAPI VCGetSaveDrawingPath(short* iError);
void WINAPI VCSetSaveDrawingPath(short* iError, vbool tf);
short WINAPI VCGetOpenFileType(short* iError);
void WINAPI VCSetOpenFileType(short* iError, short iType);
vbool WINAPI VCRunFunkeyCmd(short* iError, short iShift, short iKey);
vbool WINAPI VCRunFunkeyCmdByName(short* iError, char* szKeyName);
vbool WINAPI VCIsScriptAssignedByName(char* szKeyName);
short WINAPI VCGetFunkeyCmdStringByName(char* szCmd, char* szKeyName);
vbool WINAPI VCSetFunkeyCmdStringByName(char* szCmd, char* szKeyName);
void WINAPI VCWritePDFImageBP(short* iError, short Width, short Height, Point2D* dpLL, Point2D* dpUR, BYTE* Data);
LRESULT WINAPI VCSendSafeSzMessage(UINT iMessage, WPARAM wParam, char* lParam);

// Added version 5.0.3
void WINAPI VCAddRefFrameEntityEx(short* iError, short iSymbolIndex, Point2D* dpP0, vbool bZoomAll);
int WINAPI VCEnumPDFExportPresets(short* iError, char* pBuffer);
int WINAPI VCGetPDFPresetStruct(short* iError, char* szPresetName, char* pStruct);
vbool WINAPI VCExportPDF(char* PS, char* szFilePath);

// Added version 6.0.0
void WINAPI VCComputeBezierTangentPoints(short* iError, Point2D* pInput, short iCount, Point2D* pOutput, short* iOutCount);
double WINAPI VCGetSkewAngle(short* iError);
void WINAPI VCSetSkewAngle(short* iError, double dAngle);
void WINAPI VCDuplicateWithRotate(short* iError, ENTITYHANDLE lH, Point2D* dpRef, double dAngle, ENTITYHANDLE lHDrawAfter);
void WINAPI VCDuplicateWithSkew(short* iError, ENTITYHANDLE lH, Point2D* dpRef, double dAngle, ENTITYHANDLE lHDrawAfter);
void WINAPI VCDuplicateWithScale(short* iError, ENTITYHANDLE lH, Point2D* dpRef, Point2D* dpScale, ENTITYHANDLE lHDrawAfter);
void WINAPI VCDuplicateWithMove(short* iError, ENTITYHANDLE lH, Point2D* dpOffset, ENTITYHANDLE lHDrawAfter);
void WINAPI VCSetMacroPath(short* iError, char* szPath);
short WINAPI VCGetMacroPath(short* iError, char* szPath);
void WINAPI VCSelectModified(void);
vbool WINAPI VCLockFileEx(short* iError, char* szFileName, vbool* tfFileReadOnly, DWORD dwFlags);
vbool WINAPI VCIsFileLockedEx(char* szFileName, vbool* tfReadOnly);
vbool WINAPI VCLockWorld(WORLDHANDLE hW, char* szFilename, vbool* tfReadOnly);
void WINAPI VCUnlockWorld(WORLDHANDLE hW);
vbool WINAPI VCRelockWorld(WORLDHANDLE hW, HANDLE hF, char* szFileName);
HANDLE WINAPI VCGetWriteFileHandle(WORLDHANDLE hW, char* szFileName, DWORD dwFlags);
void WINAPI VCSetCurrentErasedNoRedo(short* iError);
void WINAPI VCSetCurrentEntityPurged(short* iError, vbool tf);
vbool WINAPI VCIsCurrentEntityPurged(short* iError);
void WINAPI VCSetCurrentEntityUndo(short* iError);
void WINAPI VCClearCurrentEntityUndo(short* iError);
short WINAPI VCGetCurrentEntityUndo(short* iError);
void WINAPI VCSetCurrentEntityRedo(short* iError);
void WINAPI VCClearCurrentEntityRedo(short* iError);
short WINAPI VCGetCurrentEntityRedo(short* iError);
void WINAPI VCIncrementUndoLevel(short* iError);
void WINAPI VCDecrementUndoLevel(short* iError);
void WINAPI VCPurge(short* iError);
void WINAPI VCPurgeRedo(short* iError);
double WINAPI VCGetLeaderTextRotation(short* iError);
void WINAPI VCSetLeaderTextRotation(short* iError,double d);
double WINAPI VCGetLeaderShoulderAngle(short* iError);
void WINAPI VCSetLeaderShoulderAngle(short* iError, double d);
UINT WINAPI VCGetLeaderBorderType(short* iError);
void WINAPI VCSetLeaderBorderType(short* iError, DWORD param);
short WINAPI VCGetLeaderDisplayItemCount(short* iError);
short WINAPI VCGetLeaderDisplayItemName(short* iError, short i, char* pS);
vbool WINAPI VCGetLeaderItemShow(short* iError, short i);
void WINAPI VCSetLeaderItemShow(short* iError, short i, vbool tf);
short WINAPI VCGetLeaderItemColor(short* iError, short i);
void WINAPI VCSetLeaderItemColor(short* iError, short i, short j);
short WINAPI VCGetLeaderItemLineType(short* iError, short i);
void WINAPI VCSetLeaderItemLineType(short* iError, short i, short j);
short WINAPI VCGetLeaderItemLineWidth(short* iError, short i);
void WINAPI VCSetLeaderItemLineWidth(short* iError, short i, short j);
float WINAPI VCGetLeaderItemRealWidth(short* iError, short i);
void WINAPI VCSetLeaderItemRealWidth(short* iError, short i, float rw);
BYTE WINAPI VCGetLeaderItemByLayerFlags(short* iError, short i);
void WINAPI VCSetLeaderItemByLayerFlags(short* iError, short i, BYTE bl);

void WINAPI VCSetDimItemRealWidth(short* iError, short i, float rw);
float WINAPI VCGetDimItemRealWidth(short* iError, short i);
void WINAPI VCSetDimItemByLayerFlags(short* iError, short i, BYTE bl);
BYTE WINAPI VCGetDimItemByLayerFlags(short* iError, short i);
BYTE WINAPI VCGetDimDistAngle(short* iError);
void WINAPI VCSetDimDistAngle(short* iError, BYTE bl);
short WINAPI VCGetDimReverseRef(short* iError);
void WINAPI VCSetDimReverseRef(short* iError, short tf);
short WINAPI VCGetDimArrowFarside(short* iError);
void WINAPI VCSetDimArrowFarside(short* iError, short tf);
short WINAPI VCGetDimTextJustify(short* iError);
void WINAPI VCSetDimTextJustify(short* iError, char c);

void WINAPI VCAddImageEntity(short* iError, short iSymbolIndex, Point2D dp0, Point2D dp1);
void WINAPI VCAddImageEntityBP(short* iError, short iSymbolIndex, Point2D* dp0, Point2D* dp1);
int WINAPI VCGetImageName(short* iError, char* szName);
void WINAPI VCSetImageName(short* iError, char* szName);
vbool WINAPI VCGetImageShowBorder(short* iError);
void WINAPI VCSetImageShowBorder(short* iError, vbool tf);
vbool WINAPI VCGetImageEmbed(short* iError);
void WINAPI VCSetImageEmbed(short* iError, vbool tf);
vbool WINAPI VCGetImageFlipX(short* iError);
void WINAPI VCSetImageFlipX(short* iError, vbool tf);
vbool WINAPI VCGetImageFlipY(short* iError);
void WINAPI VCSetImageFlipY(short* iError, vbool tf);
vbool WINAPI VCGetImageGrayScale(short* iError);
void WINAPI VCSetImageGrayScale(short* iError, vbool tf);
double WINAPI VCGetImageRotation(short* iError);
void WINAPI VCSetImageRotation(short* iError, double d);
vbool WINAPI VCGetImageShow(short* iError);
void WINAPI VCSetImageShow(short* iError, vbool tf);
double WINAPI VCGetImageZoom(short* iError);
void WINAPI VCSetImageZoom(short* iError, double d);
void WINAPI VCGetImageZoomCenter(short* iError, Point2D* dp);
void WINAPI VCSetImageZoomCenter(short* iError, Point2D* dp);
vbool WINAPI VCGetCurrentEntityUserDataPublic(short* iError, short iIndex);
void WINAPI VCSetCurrentEntityUserDataPublic(short* iError, short iIndex, vbool tf);
short WINAPI VCGetScriptID(short* iError, short iLevel);
short WINAPI VCGetScriptNestLevel(short* iError);
short WINAPI VCGetCmdAlias(short* iError, short iCmdId, char* pAlias);
short WINAPI VCGetCmdMenuText(short* iError, short iCmdId, char* pDesc);
short WINAPI VCGetCmdStatusDesc(short* iError, short iCmdId, char* pDesc);
short WINAPI VCGetCmdBitmap(short* iError, short iCmdId, char* pBitmap);
short WINAPI VCGetCmdScript(short* iError, short iCmdId, char* pScript);
short WINAPI VCGetCmdSource(short* iError, short iCmdId, char* pSource);
void WINAPI VCSetSubEntityPoint(short* iError, ENTITYHANDLE lH, short iContour, short iEntity, short iIndex, Point2D* dpP);
void WINAPI VCGetSubEntityPoint(short* iError, ENTITYHANDLE lH, short iContour, short iEntity, short iIndex, Point2D* dpP);
void WINAPI VCSetSubEntityPoints(short* iError, ENTITYHANDLE lH, short iContour, short iEntity, short iCount, Point2D* dpArray);
void WINAPI VCSetSubEntityClosedContour(short* iError, ENTITYHANDLE lH, short iContour, short iEntity, vbool tfClosed);
vbool WINAPI VCGetSubEntityClosedContour(short* iError, ENTITYHANDLE lH, short iContour, short iEntity);
double WINAPI VCGetMacroVariable(short* iError, char* szName);
void WINAPI VCGetMultiLineDef(short* iError, short iLine, short* pLayer, short* pColor, short* pLType, short* pWidth, double* pRWidth, BYTE* pByLayer, double* pOffset, vbool* pUse);
void WINAPI VCSetMultiLineDef(short* iError, short iLine, short iLayer, short iColor, short iLType, short iWidth, double fWidth, BYTE bByLayer, double dOffset, vbool tfUse);
double WINAPI VCGetMultiLineOffset(short* iError, short iLine);
void WINAPI VCSetMultiLineOffset(short* iError, short iLine, double dOffset);
vbool WINAPI VCGetMultiLineUse(short* iError, short iLine);
void WINAPI VCSetMultiLineUse(short* iError, short iLine, vbool tfUse);
short WINAPI VCGetMultiLineLayer(short* iError, short iLine);
void WINAPI VCSetMultiLineLayer(short* iError, short iLine, short iLayer);
short WINAPI VCGetMultiLineColor(short* iError, short iLine);
void WINAPI VCSetMultiLineColor(short* iError, short iLine, short iColor);
short WINAPI VCGetMultiLineType(short* iError, short iLine);
void WINAPI VCSetMultiLineType(short* iError, short iLine, short iType);
short WINAPI VCGetMultiLineWidth(short* iError, short iLine);
void WINAPI VCSetMultiLineWidth(short* iError, short iLine, short iWidth);
double WINAPI VCGetMultiLineRealWidth(short* iError, short iLine);
void WINAPI VCSetMultiLineRealWidth(short* iError, short iLine, double dWidth);
BYTE WINAPI VCGetMultiLineByLayer(short* iError, short iLine);
void WINAPI VCSetMultiLineByLayer(short* iError, short iLine, BYTE bByLayer);
BYTE WINAPI VCGetMultiLineMode(short* iError);
void WINAPI VCSetMultiLineMode(short* iError, BYTE bMode);

short WINAPI VCGetDefaultFontToDWG(short* iError, char* pS, BYTE* bFontType);
void WINAPI VCSetDefaultFontToDWG(short* iError, char* sz, BYTE bFontType);
short WINAPI VCGetDefaultFontFromDWG(short* iError, char* pS, BYTE* pB);
void WINAPI VCSetDefaultFontFromDWG(short* iError, char* sz, BYTE b);
vbool WINAPI VCGetExportPreserveFontName(short* iError);
void WINAPI VCSetExportPreserveFontName(short* iError, vbool tf);
vbool WINAPI VCGetImportLayoutSpace(short* iError);
void WINAPI VCSetImportLayoutSpace(short* iError, vbool tf);
vbool WINAPI VCGetImportScaleSymbolDef(short* iError);
void WINAPI VCSetImportScaleSymbolDef(short* iError, vbool tf);
short WINAPI VCGetExportConversionUnits(short* iError);
void WINAPI VCSetExportConversionUnits(short* iError, short iUnits);
vbool WINAPI VCGetImportConvertXref(short* iError);
void WINAPI VCSetImportConvertXref(short* iError, vbool tf);
short WINAPI VCGetExportFileVersion(short* iError);
void WINAPI VCSetExportFileVersion(short* iError, short iVersion);
void WINAPI VCComputeWorldExtents(short* iError);
void WINAPI VCComputeEntityExtents(short* iError, ENTITYHANDLE lH);
void WINAPI VCSetEntityUserData(short* iError);
void WINAPI VCSelectGroupSiblings(short* iError, ENTITYHANDLE lH);
long WINAPI VCGetCMDIdFromAlias(short* iError, char* pAlias);
short WINAPI VCGetAddonCount(void);
int WINAPI VCGetAddonName(short* iError, short iIndex, char* szName);
int WINAPI VCGetAddonPath(short* iError, short iIndex, char* szPath);
int WINAPI VCGetAddonPathByName(short* iError, char* szName, char* szPath);
vbool WINAPI VCGetLayerLocked(short* iError, short iLayer);
void WINAPI VCSetLayerLocked(short* iError, short iLayer, vbool tfLock);
short WINAPI VCGetLayerGroupLayerDisplay(short* iError, short iGroupIndex, short iLayer);
void WINAPI VCSetLayerGroupLayerDisplay(short* iError, short iGroupIndex, short iLayer, vbool bState);
short WINAPI VCGetLayerGroupLayerPrintable(short* iError, short iGroupIndex, short iLayer);
void WINAPI VCSetLayerGroupLayerPrintable(short* iError, short iGroupIndex, short iLayer, vbool bState);
short WINAPI VCGetLayerGroupLayerLocked(short* iError, short iGroupIndex, short iLayer);
void WINAPI VCSetLayerGroupLayerLocked(short* iError, short iGroupIndex, short iLayer, vbool bState);
double WINAPI VCGetHatchScaleX(short* iError);
void WINAPI VCSetHatchScaleX(short* iError, double dRet);
double WINAPI VCGetHatchScaleY(short* iError);
void WINAPI VCSetHatchScaleY(short* iError, double dRet);
short WINAPI VCGetHatchLayer(short* iError);
void WINAPI VCSetHatchLayer(short* iError, short i);
short WINAPI VCGetHatchLineType(short* iError);
void WINAPI VCSetHatchLineType(short* iError, short i);
short WINAPI VCGetHatchLineWidth(short* iError);
void WINAPI VCSetHatchLineWidth(short* iError, short i);
vbool WINAPI VCGetFontShowTT(short* iError);
void WINAPI VCSetFontShowTT(short* iError, vbool tf);
vbool WINAPI VCGetFontShowVCF(short* iError);
void WINAPI VCSetFontShowVCF(short* iError, vbool tf);
vbool WINAPI VCGetFontShowFavorite(short* iError);
void WINAPI VCSetFontShowFavorite(short* iError, vbool tf);
int WINAPI VCGetFontListEx(short* iError, char* list);
BYTE WINAPI VCGetFontStatus(short* iError, char* szName, BYTE bType);
vbool WINAPI VCGetFontDrawAsVector(short* iError, char* szName, BYTE bType);
void WINAPI VCSetFontDrawAsVector(short* iError, char* szName, BYTE bType, vbool tf);
vbool WINAPI VCGetFontFullHeight(short* iError, char* szName, BYTE bType);
void WINAPI VCSetFontFullHeight(short* iError, char* szName, BYTE bType, vbool tf);
vbool WINAPI VCGetFontEmbed(short* iError, char* szName, BYTE bType);
void WINAPI VCSetFontEmbed(short* iError, char* szName, BYTE bType, vbool tf);
short WINAPI VCGetFontSubstName(short* iError, char* szName, BYTE bType, char* szSubName);
BYTE WINAPI VCGetFontSubstType(short* iError, char* szName, BYTE bType);
void WINAPI VCSetFontSubst(short* iError, char* szName, BYTE bType, char* szSubName, BYTE bSubType);
int WINAPI VCGetImageHeight(short* iError);
int WINAPI VCGetImageWidth(short* iError);
void WINAPI VCGetImagePixelToWorld2D(short* iError, UINT column, UINT row, Point2D* dpRet);
COLORREF WINAPI VCGetImagePixelColor(short* iError, UINT column, UINT row);
void WINAPI VCAddMultiLineEntity(short* iError, short iSymbolIndex);

// Added version 6.0.1
void WINAPI VCDeleteNameView(char* szView);
short WINAPI VCGetNameViewCount(void);
short WINAPI VCGetNameView(short i, char* szView);
void WINAPI VCGetNameViewExtents(char* szView, Point2D* ptLL, Point2D* ptUR);
void WINAPI VCSetNameViewExtents(char* szView, Point2D* ptLL, Point2D* ptUR);
BYTE WINAPI VCGetHatchByLayerFlags(short* iError);
void WINAPI VCSetHatchByLayerFlags(short* iError, BYTE bFlags);
void WINAPI VCEntitySelect(short* iError, ENTITYHANDLE lH, vbool tfDeselect, vbool tfGroup);
int WINAPI VCGetImagePath(short* iError, char* szName);
vbool WINAPI VCGetFileProtect(short* iError);
void WINAPI VCSetFileProtect(short* iError, vbool tf);
vbool WINAPI VCGetFileCompress(short* iError);
void WINAPI VCSetFileCompress(short* iError, vbool tf);
short WINAPI VCGetTextLType(short* iError);
void WINAPI VCSetTextLType(short* iError, short i);
short WINAPI VCGetTextLWidth(short* iError);
void WINAPI VCSetTextLWidth(short* iError, short i);
float WINAPI VCGetTextRealWidth(short* iError);
void WINAPI VCSetTextRealWidth(short* iError, float rw);
BYTE WINAPI VCGetTextCharset(short* iError);
void WINAPI VCSetTextCharset(short* iError, BYTE val);
short WINAPI VCGetTextTabStops(short* iError);
void WINAPI VCSetTextTabStops(short* iError, short val);

// Added version 6.0.2
void WINAPI VCComputeSplineTangentPoints(short* iError, Point2D* pInput, short iCount, Point2D* pOutput, short* iOutCount);

// Added version 7.0.0
HMENU WINAPI VCGetPopupMenu(char* szPopupName);
vbool WINAPI VCGetLayerApplyAllViews(short* iError);
void WINAPI VCSetLayerApplyAllViews(short* iError, vbool tf);
HINSTANCE WINAPI VCLoadResourceDll(char* szDllName);
short WINAPI VCEnumResourceDlls(char* szList);
LPDISPATCH WINAPI VCGetPDFPresetDictionary(short* iError, char* szPreset);
vbool WINAPI VCExportPDFByDict(short* iError, LPDISPATCH dict, char* szFilePath);
void WINAPI VCGetLatitudeLongitude(short* iError, long iCRSCode, Point2D* ptEN, Point2D* ptLatLong);
void WINAPI VCGetEastingNorthing(short* iError, long iCRSCode, Point2D* ptLatLong, Point2D* ptEN);
void WINAPI VCDatabaseScale(short* iError, double dScale);
void WINAPI VCDatabaseMove(short* iError, Point2D* ptTrans);
double WINAPI VCGetDatabaseScale(short* iError);
void WINAPI VCGetDatabaseOffset(short* iError, Point2D* ptTrans);
short WINAPI VCGetDimAngularDecimalValue(short* iError);
void WINAPI VCSetDimAngularDecimalValue(short* iError, short i);
short WINAPI VCGetDisplayAngularDecimalValue(short* iError);
void WINAPI VCSetDisplayAngularDecimalValue(short* iError, short i);
short WINAPI VCGetSecondaryDecimalValue(short* iError);
void WINAPI VCSetSecondaryDecimalValue(short* iError, short i);
short WINAPI VCGetSecondaryFractionalValue(short* iError);
void WINAPI VCSetSecondaryFractionalValue(short* iError, short i);
vbool WINAPI VCGetShowSecondaryUnits(short* iError);
void WINAPI VCSetShowSecondaryUnits(short* iError, vbool tf);
vbool WINAPI VCGetShowSecondaryLeadingZeros(short* iError);
void WINAPI VCSetShowSecondaryLeadingZeros(short* iError, vbool tf);
vbool WINAPI VCGetDisplayShowDash(short* iError);
void WINAPI VCSetDisplayShowDash(short* iError, vbool tf);
vbool WINAPI VCGetShowSecondaryDash(short* iError);
void WINAPI VCSetShowSecondaryDash(short* iError, vbool tf);
vbool WINAPI VCGetShowSecondarySingleUnitFrac(short* iError);
void WINAPI VCSetShowSecondarySingleUnitFrac(short* iError, vbool tf);
double WINAPI VCGetSnapAngleVal(short* iError);
void WINAPI VCSetSnapAngleVal(short* iError, double d);
double WINAPI VCGetSnapParOffVal(short* iError);
void WINAPI VCSetSnapParOffVal(short* iError, double d);
void WINAPI VCPasteSpecial();
void WINAPI VCSnapAngle();
vbool WINAPI VCGetAutoPanRefresh(short* iError);
void WINAPI VCSetAutoPanRefresh(short* iError, vbool tf);
vbool WINAPI VCGetTextUnicode(short* iError);
void WINAPI VCSetTextUnicode(short* iError, vbool tf);
vbool WINAPI VCGetDefaultButtons(short* iError);
void WINAPI VCSetDefaultButtons(short* iError, vbool tf);
vbool WINAPI VCGetCurrentEntityCloseContourFlag(short* iError);
int WINAPI VCGetTextStringW(short* iError, WCHAR* pWide, int BufSize);
void WINAPI VCSetTextStringW(short* iError, WCHAR* pWide);
ENTITYHANDLE WINAPI VCAddEntityFromClipboard(short* iError, UINT uFormat, Point2D* dp0, Point2D* dp1);
int WINAPI VCEnumImageExportPresets(short* iError, char* pBuffer);
int WINAPI VCGetImagePresetStruct(short* iError, char* szPresetName, char* pStruct);
vbool WINAPI VCExportImage(char* PS, char* szFilePath);
LPDISPATCH WINAPI VCGetImagePresetDictionary(short* iError, char* szPreset);
vbool WINAPI VCExportImageByDict(short* iError, LPDISPATCH dict, char* szFilePath);
void WINAPI VCGetPrintOrigin(short* iError, Point2D* dpOrg);
void WINAPI VCSetPrintOrigin(short* iError, Point2D* dpOrg);
vbool WINAPI VCGetShowPrintOrigin(short* iError);
void WINAPI VCSetShowPrintOrigin(short* iError, vbool tf);
vbool WINAPI VCGetUsePrintOrigin(short* iError);
void WINAPI VCSetUsePrintOrigin(short* iError, vbool tf);
int WINAPI VCTranslateConfigFile(char* szIn, char* szOut, char* szMenuPath, int iType);
vbool WINAPI VCGetCmdToggleState(short id);
void WINAPI VCSetCmdToggleState(short id, vbool tfState);
DWORD WINAPI VCGetCurrentInterfaceLanguage();
int WINAPI VCGetXMLStruct(char* pStruct);
LPDISPATCH WINAPI VCGetXMLDictionary();
void WINAPI VCExportXML(short* iError, char* pStruct, char* szFilePath, vbool tfSelectedOnly);
void WINAPI VCExportXMLByDict(short* iError, LPDISPATCH dict, char* szFilePath, vbool tfSelectedOnly);
void WINAPI VCImportXML(short* iError, char* pStruct, char* szFilePath);
void WINAPI VCImportXMLByDict(short* iError, LPDISPATCH dict, char* szFilePath);
int WINAPI VCSetXMLStruct(char* pStruct);
void WINAPI VCSetXMLDictionary(LPDISPATCH lpDIS);
short WINAPI VCGetFontCharSets(char* szFont, char* pBuffer);
vbool WINAPI VCGetCompressImages(short* iError);
void WINAPI VCSetCompressImages(short* iError, vbool tf);
int WINAPI VCGetTextStringLocale(short* iError, WCHAR* pWide, int BufSize, short CharSet);
void WINAPI VCSetTextStringLocale(short* iError, WCHAR* pWide, short CharSet);
vbool WINAPI VCGetUseDrawOrder(short* iError);
void WINAPI VCSetUseDrawOrder(short* iError, vbool tf);
vbool WINAPI VCFirstDrawEntity(short* iError, short* bKind);
vbool WINAPI VCNextDrawEntity(short* iError, short* bKind);
vbool WINAPI VCGetWheelZoom(short* iError);
void WINAPI VCSetWheelZoom(short* iError, vbool tfZoom);
vbool WINAPI VCGetWheelReverseZoom(short* iError);
void WINAPI VCSetWheelReverseZoom(short* iError, vbool tfRev);
vbool WINAPI VCGetWheelZoomPrevious(short* iError);
void WINAPI VCSetWheelZoomPrevious(short* iError, vbool tfZoom);
double WINAPI VCGetWheelZoomFactor(short* iError);
void WINAPI VCSetWheelZoomFactor(short* iError, double factor);
vbool WINAPI VCGetWheelPan(short* iError);
void WINAPI VCSetWheelPan(short* iError, vbool tfPan);
short WINAPI VCGetWheelPanFactor(short* iError);
void WINAPI VCSetWheelPanFactor(short* iError, short factor);

// Added version 7.0.1
short WINAPI VCGetDisplayBaseAngleType(short* iError);
void WINAPI VCSetDisplayBaseAngleType(short* iError, short iAngleType);
double WINAPI VCGetDisplayCustomBaseAngle(short* iError);
void WINAPI VCSetDisplayCustomBaseAngle(short* iError, double dAngle);
vbool WINAPI VCGetDisplayAngleClockwise(short* iError);
void WINAPI VCSetDisplayAngleClockwise(short* iError, vbool tf);
short WINAPI VCGetDimBaseAngleType(short* iError);
void WINAPI VCSetDimBaseAngleType(short* iError, short iAngleType);
double WINAPI VCGetDimCustomBaseAngle(short* iError);
void WINAPI VCSetDimCustomBaseAngle(short* iError, double dAngle);
vbool WINAPI VCGetDimAngleClockwise(short* iError);
void WINAPI VCSetDimAngleClockwise(short* iError, vbool tf);
vbool WINAPI VCRFGetEllipticalBoundary(short* iError);
void WINAPI VCRFSetEllipticalBoundary(short* iError, vbool tf);
