/*SDOC*************************************************************

  Module:	VCTool32.h

  Copyright (C) 2011 Gold Run Partners, Inc.  All rights reserved.
  
  Description:	VCTool32.dll exports
  
  Revision Record:
	
	Version			Changes & Deletions
	========		=====================================================
	5.0.0				Removed: VCDimPoint - obsolete
								
							Version tags:
									Added version 4.0.0
									Added version 6.0.0
	
*************************************************************EDOC*/

void WINAPI VCAddPopupCommand(char* szNativeCmd, short iPlacement);
void WINAPI VCAdjoiningToMEP(short* iError);
void WINAPI VCAlignSelected(void);
void WINAPI VCAngularDim(void);
void WINAPI VCArc2Pt(void);
void WINAPI VCArc3Pt(void);
void WINAPI VCArrayCopySelected(void);
void WINAPI VCAttributeAttach(void);
void WINAPI VCAttributeCreate(void);
void WINAPI VCAttributeEdit(void);
void WINAPI VCAttributeEmbed(void);
void WINAPI VCAttributeMove(void);
void WINAPI VCAttributeMultiAttach(void);
void WINAPI VCBezEdit(void);
void WINAPI VCBezierSingle(void);
void WINAPI VCBooleanAdd(short* iError);
void WINAPI VCBooleanIntersect(short* iError);
void WINAPI VCBooleanSubtract(short* iError);
void WINAPI VCBoundaryFill(void);
void WINAPI VCBoundaryHatch(void);
void WINAPI VCChamfer(void);
void WINAPI VCChangeAtbDisplay(short* iError, vbool tfDisplay);
void WINAPI VCChangeAtbLabelDisplay(short* iError, vbool tfDisplay);
void WINAPI VCChangeSelected(EAttr* ea);
void WINAPI VCChangeSymPlacementColor(short* iError, vbool tfUsePlacementColor, short iNewColor);
void WINAPI VCCircle2Pt(void);
void WINAPI VCCircle3Pt(void);
void WINAPI VCCircleDiameter(void);
void WINAPI VCClearDrawing(WORLDHANDLE hW);
void WINAPI VCClearDrawingNoPrompt(WORLDHANDLE hW);
void WINAPI VCContBezier(void);
void WINAPI VCCopySelected(void);
void WINAPI VCCopyToLayer(short* iError, short iLayer);
void WINAPI VCCornerTrim(void);
long WINAPI VCCreateOleClass(short* iError, char* OleDllName, char* OleClassName);
void WINAPI VCCurve(void);
void WINAPI VCDatum(short* iError);
void WINAPI VCDeleteOleClass(short* iError, long id);
void WINAPI VCDeletePopupMenu(vbool tf);
void WINAPI VCDestroyContextMenu(short* iError, HMENU hMenu);
void WINAPI VCDiameterDim(void);
void WINAPI VCDigConfig(void);
void WINAPI VCDigDrawingAlign(void);
void WINAPI VCDimEdit(void);
void WINAPI VCDimMoveArc(void);
void WINAPI VCDimMoveLine(void);
void WINAPI VCDimMoveText(void);
void WINAPI VCDimSlideText(void);
void WINAPI VCDispatchCommand(void);
void WINAPI VCDispatchNextPoint(void);
void WINAPI VCDllRun(short* iError, char* DllName, char* FunctionName, char* CommandLine);
void WINAPI VCEdit(void);
void WINAPI VCEditAbort(void);
void WINAPI VCEditChange(void);
void WINAPI VCEditComplete(void);
void WINAPI VCEllipse(void);
void WINAPI VCEllipticalArcStartSpan(void);
void WINAPI VCEraseLast(void);
void WINAPI VCEraseSelected(void);
void WINAPI VCExplode(void);
void WINAPI VCExtend(void);
void WINAPI VCFillSelected(void);
void WINAPI VCFillet(void);
void WINAPI VCFitScaleSelected(void);
short WINAPI VCGetDatumMode(short* iError);
vbool WINAPI VCGetCurrentToolContextMenu(short* iError, HMENU* hInMenu);
short WINAPI VCGetPrompt(short iPromptIndex, char* szPrompt);
WORD WINAPI VCGetRibbolog(void);
WORD WINAPI VCGetToolID(void);
short WINAPI VCGetUserToolState(short* iError);
void WINAPI VCGridOrigin(void);
void WINAPI VCHatchSelected(void);
void WINAPI VCIrregularPolygon(void);
void WINAPI VCLeader(void);
void WINAPI VCLeaderEdit(void);
void WINAPI VCLike(long hw, char ch);
void WINAPI VCLine(void);
void WINAPI VCLineContinuous(void);
void WINAPI VCLinearDim(void);
void WINAPI VCLoadAscii(short* iError, char* szAscii);
void WINAPI VCLoadLnt(void);
void WINAPI VCMButtonDown(long lParam, WORD wParam);
void WINAPI VCMLine(void);
void WINAPI VCMatchEntity(void);
void WINAPI VCMatchTool(void);
void WINAPI VCMeasureAngle2(void);
void WINAPI VCMeasureAngle3(void);
void WINAPI VCMeasureArea(void);
void WINAPI VCMeasureDistance(void);
void WINAPI VCMerge(char* pName);
void WINAPI VCMergePolygonsTool(short* iError);
void WINAPI VCMirrorSelected(void);
void WINAPI VCModBreak(void);
void WINAPI VCMovePoint(void);
void WINAPI VCMoveSelected(void);
void WINAPI VCMoveToLayer(short* iError, short iLayer);
void WINAPI VCMultipleCopy(void);
void WINAPI VCNewHandle(void);
void WINAPI VCOffsetMEP(short* iError);
void WINAPI VCOffsetPnt(void);
void WINAPI VCOleClassMethodInvoke(short* iError, char* DllName, char* ClassName, char* MethodName, char* CmdLine);
void WINAPI VCOrdinateDim(short* iError);
void WINAPI VCPackData(WORLDHANDLE hW);
vbool WINAPI VCPastable(void);
void WINAPI VCPaste(void);
void WINAPI VCPlaceCurrentSymbol(void);
void WINAPI VCPoint(void);
void WINAPI VCPopupButton(long lParam, WORD wParam);
void WINAPI VCPurgeLnt(void);
void WINAPI VCRButtonDown(long lParam, WORD wParam);
void WINAPI VCRFSize(short* iError);
void WINAPI VCRFZoomAll(short* iError);
void WINAPI VCRFZoomArea(short* iError);
void WINAPI VCRFZoomIn(short* iError);
void WINAPI VCRFZoomOut(short* iError);
void WINAPI VCRFZoomPan(short* iError);
void WINAPI VCRFZoomAnchor(short* iError);
void WINAPI VCRFZoomPrevious(short* iError);
void WINAPI VCRFZoomRegen(short* iError);
void WINAPI VCRFZoomValue(short* iError);
void WINAPI VCRFZoomView(short* iError);
void WINAPI VCRPolygonCenter(void);
void WINAPI VCRPolygonSide(void);
void WINAPI VCRadCopySelected(void);
void WINAPI VCRadialDim(void);
void WINAPI VCRectangle2Pt(void);
void WINAPI VCRectangle3Pt(void);
void WINAPI VCRedo(void);
void WINAPI VCRefFrameCreate(short* iError);
void WINAPI VCRefFramePlace(short* iError);
void WINAPI VCRegenArea(void);
void WINAPI VCReplaceSymbol(char* szFrom, char* szTo, vbool tfSelectedOnly);
void WINAPI VCRotateSelected(void);
void WINAPI VCRun(char* szName);
void WINAPI VCRunNested(char* szName);
void WINAPI VCRunNestedDll(void);
void WINAPI VCScaleSelected(void);
void WINAPI VCSeedFill(void);
void WINAPI VCSeedHatch(void);
void WINAPI VCSelect(void);
void WINAPI VCSelectAdjoining(void);
void WINAPI VCSelectCrossingWindow(void);
void WINAPI VCSelectLastEntity(void);
void WINAPI VCSelectLastObject(short* iError);
void WINAPI VCSelectObject(void);
void WINAPI VCSelectWindow(void);
void WINAPI VCSelectionExtend(void);
void WINAPI VCSelectionFilter(WORD CmdID, WORD id);
void WINAPI VCSelectionRibalog(WORD id);
void WINAPI VCSelectionTrim(void);
void WINAPI VCSelectionTrimSingleTarget(short* iError);
void WINAPI VCSetBasepoint(void);
void WINAPI VCSetDatumMode(short* iError, short iMode);
vbool WINAPI VCSetPrompt(short iPromptIndex, char* szPrompt);
void WINAPI VCSetRibbolog(WORD id);
void WINAPI VCSetUserTool(short iStates, char* szNativeCmd, char* szFirstPrompt);
void WINAPI VCSetUserToolState(short* iError, short iNewState);
void WINAPI VCSnapArcCenter(void);
void WINAPI VCSnapCloseGeom(void);
void WINAPI VCSnapClosestPoint(void);
void WINAPI VCSnapEndPoint(void);
void WINAPI VCSnapInt(void);
void WINAPI VCSnapLastPoint(long lParam, WORD wParam);
void WINAPI VCSnapMid2Points(void);
void WINAPI VCSnapMidPoint(void);
void WINAPI VCSnapNearPoint(long lParam, WORD wParam);
void WINAPI VCSnapParallel(void);
void WINAPI VCSnapPercent(void);
void WINAPI VCSnapPerpendicular(void);
void WINAPI VCSnapQuad(void);
void WINAPI VCSnapTangent(void);
void WINAPI VCSpecificAttributeAttach(long lParam);
void WINAPI VCSplitPolygonTool(short* iError);
void WINAPI VCStretchSelected(void);
void WINAPI VCSymbolCreate(void);
void WINAPI VCSymbolExplode(void);
void WINAPI VCSymbolPlace(char* szName);
void WINAPI VCTextManager(void);
void WINAPI VCTextTool(void);
void WINAPI VCTracking(void);
void WINAPI VCTrim(void);
void WINAPI VCUndo(void);
void WINAPI VCUndoLastVertex(void);
void WINAPI VCUpdateTool(void);
void WINAPI VCUserMatch(WORD id);
void WINAPI VCUserPoint(void);
void WINAPI VCWindowStretch(void);
void WINAPI VCZoomArea(void);
void WINAPI VCZoomIn(void);
void WINAPI VCZoomOut(void);
void WINAPI VCZoomPan(void);
void WINAPI VCZoomValue(void);

// Added version 4.0.0
vbool WINAPI VCGetUserToolSnapable(void);
void WINAPI VCSetUserToolSnapable(vbool tf);
void WINAPI VCDivide(void);

// Added version 6.0.0
void WINAPI VCExplodeToGroup(void);
void WINAPI VCSkewSelected(void);
void WINAPI VCRButtonDownEx(long lParam, WORD wParam);
void WINAPI VCMButtonDownEx(long lParam, WORD wParam);
void WINAPI VCMButtonUp(long lParam, WORD wParam);
void WINAPI VCZoomAutoPan(void);
