/*SDOC*************************************************************

  Module:	VCTran32.h

  Copyright (C) 2011 Gold Run Partners, Inc.  All rights reserved.
  
  Description:	VCTran32.dll exports
  
	Revision Record:
	
	Version			Changes & Deletions
	========		=====================================================

							Version tags:
									Added version 4.0.0
									Added version 6.0.0

*************************************************************EDOC*/

void WINAPI VCAcadBlockRead(char* pName);
void WINAPI VCAcadRead(char* pN);
void WINAPI VCAcadReadNoPaint(char* pNameStart);
void WINAPI VCAcadReadWith3D(char* pName);
void WINAPI VCAcadWriteDWG(char* pN);
void WINAPI VCAcadWriteDXF(char* pN);
void WINAPI VCLoadDrawing(short* iError, char* pName, short iFileType);
void WINAPI VCMergeDrawing(short* iError, char* pName, short iFileType);
void WINAPI VCMergeDrawingNoPaint(short* iError, char* pInputName, short iFileType);
void WINAPI VCSaveDrawing(short* iError, char* pName, short iFileType, vbool tfSaveSelected);
void WINAPI VCWriteMetafile(char* pName, short iFileType, vbool tfSelectedOnly);

// Added version 4.0.0
void WINAPI VCPlaceMetafileOnClipboard(short* iError, vbool tfSelectedOnly);

// Added version 6.0.0
void WINAPI VCSaveAll(short* iError);
BOOL WINAPI VCGetCursorPos(POINT* pPoint);
DWORD WINAPI VCGetIniString(char* szString, DWORD iSize, char* szFile, char* szSection, char* szKey);
DWORD WINAPI VCGetIniKeyNames(char* szString, DWORD iSize, char* szFile, char* szSection);
DWORD WINAPI VCGetIniSectionNames(char* szString, DWORD iSize, char* szFile);
BOOL WINAPI VCWriteIniString(char* szString, char* szFile, char* szSection, char* szKey);
DWORD WINAPI VCGetVcaddIniString(char* szString, DWORD iSize, char* szSection, char* szKey);
DWORD WINAPI VCGetVcaddIniKeyNames(char* szString, DWORD iSize, char* szSection);
DWORD WINAPI VCGetVcaddIniSectionNames(char* szString, DWORD iSize);
BOOL WINAPI VCWriteVcaddIniString(char* szString, char* szSection, char* szKey);
BOOL WINAPI VCOnKeyDown(HWND hWnd, UINT nChar, UINT nRepCnt, UINT nFlags);
BOOL WINAPI VCOnChar(HWND hWnd, UINT nChar, UINT nRepCnt, UINT nFlags);
BOOL WINAPI VCOnLButtonDown(HWND hWnd, UINT nFlags, long x, long y);
BOOL WINAPI VCOnLButtonDblClk(HWND hWnd, UINT nFlags, long x, long y);
BOOL WINAPI VCOnLButtonUp(HWND hWnd, UINT nFlags, long x, long y);
BOOL WINAPI VCOnMButtonDown(HWND hWnd, UINT nFlags, long x, long y);
BOOL WINAPI VCOnMButtonUp(HWND hWnd, UINT nFlags, long x, long y);
BOOL WINAPI VCOnRButtonDown(HWND hWnd, UINT nFlags, long x, long y);
BOOL WINAPI VCOnRButtonUp(HWND hWnd, UINT nFlags, long x, long y);
BOOL WINAPI VCOnXButtonDown(WPARAM wParam , LPARAM lParam);
BOOL WINAPI VCOnMouseMove(HWND hWnd, UINT nFlags, long x, long y);
BOOL WINAPI VCOnNcMouseMove(HWND hWnd, UINT nFlags, long x, long y);
BOOL WINAPI VCOnMouseWheel(HWND hWnd, UINT nFlags, short iDelta, long x, long y);
BOOL WINAPI VCOnPreTranslateMessage(MSG* pMsg);
